------------------------------------------------------------------------
r4462 | mhall | 2008-07-17 09:37:03 +1200 (Thu, 17 Jul 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/functions/Logistic.java


------------------------------------------------------------------------
r4463 | fracpete | 2008-07-19 20:40:35 +1200 (Sat, 19 Jul 2008) | 2 lines
Changed paths:
   M /trunk/weka/filters/unsupervised/attribute/ReplaceMissingValues.java

enabled filter to deal with nominal attributes that have no labels at all (can happen if data is loaded from databases, a NULL column)

------------------------------------------------------------------------
r4466 | mhall | 2008-07-29 10:29:12 +1200 (Tue, 29 Jul 2008) | 2 lines
Changed paths:
   M /trunk/weka/core/converters/ArffLoader.java
   M /trunk/weka/core/converters/C45Loader.java
   M /trunk/weka/core/converters/CSVLoader.java
   M /trunk/weka/core/converters/LibSVMLoader.java
   M /trunk/weka/core/converters/SerializedInstancesLoader.java
   M /trunk/weka/core/converters/XRFFLoader.java

Now closes input streams and free resources.

------------------------------------------------------------------------
r4468 | mhall | 2008-07-30 09:21:27 +1200 (Wed, 30 Jul 2008) | 2 lines
Changed paths:
   M /trunk/weka/classifiers/bayes/DMNBtext.java

javadoc fix

------------------------------------------------------------------------
r4469 | mhall | 2008-07-30 10:41:11 +1200 (Wed, 30 Jul 2008) | 2 lines
Changed paths:
   M /branches/book2ndEd-branch/weka/filters/unsupervised/attribute/RemoveUseless.java
   M /trunk/weka/filters/unsupervised/attribute/RemoveUseless.java

Changed the variance percentage computation for a given attribute to be equal to # distinct/(total # inst - # missing)

------------------------------------------------------------------------
r4470 | mhall | 2008-07-30 10:41:12 +1200 (Wed, 30 Jul 2008) | 2 lines
Changed paths:
   M /trunk/weka/filters/unsupervised/attribute/RemoveUseless.java

Moved the cast to double outside the brackets in the denominator for computing variancePercent

------------------------------------------------------------------------
r4471 | mhall | 2008-08-01 11:48:33 +1200 (Fri, 01 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/gui/beans/AttributeSummarizer.java

Now sets the coloring index to be equal to the class attribute's index (if set).

------------------------------------------------------------------------
r4473 | mhall | 2008-08-01 12:02:31 +1200 (Fri, 01 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/filters/unsupervised/instance/RemovePercentage.java

Now uses a double rather than an int for the percentage

------------------------------------------------------------------------
r4474 | mhall | 2008-08-02 15:05:10 +1200 (Sat, 02 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/build.xml

Added RevisionHandler.class to the list of classes packaged in the remoteEngine.jar file

------------------------------------------------------------------------
r4476 | fracpete | 2008-08-06 11:16:18 +1200 (Wed, 06 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/bayes/net/GUI.java
   M /trunk/weka/classifiers/trees/UserClassifier.java
   M /trunk/weka/gui/GenericArrayEditor.java
   M /trunk/weka/gui/GenericObjectEditor.java
   M /trunk/weka/gui/PropertyDialog.java
   M /trunk/weka/gui/PropertyPanel.java
   M /trunk/weka/gui/experiment/AlgorithmListPanel.java
   M /trunk/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/gui/explorer/PreprocessPanel.java


------------------------------------------------------------------------
r4477 | fracpete | 2008-08-11 10:43:06 +1200 (Mon, 11 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/PropertySheetPanel.java


------------------------------------------------------------------------
r4478 | mhall | 2008-08-11 11:39:43 +1200 (Mon, 11 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/experiment/RemoteEngine.java


------------------------------------------------------------------------
r4479 | mhall | 2008-08-11 11:44:58 +1200 (Mon, 11 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/build.xml

Now includes weka.core.Utils in remoteEngine.jar

------------------------------------------------------------------------
r4481 | fracpete | 2008-08-12 09:32:32 +1200 (Tue, 12 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/SimpleCLIPanel.java


------------------------------------------------------------------------
r4483 | mhall | 2008-08-12 09:52:20 +1200 (Tue, 12 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/classifiers/functions/SMO.java

Fixed bug in attributeNames(). It wasn't using the BinarySMO's sparse indices vector to index attribute names.

------------------------------------------------------------------------
r4484 | fracpete | 2008-08-13 13:23:03 +1200 (Wed, 13 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/core/TechnicalInformation.java


------------------------------------------------------------------------
r4485 | fracpete | 2008-08-17 13:33:14 +1200 (Sun, 17 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/core/ClassDiscovery.java


------------------------------------------------------------------------
r4486 | fracpete | 2008-08-17 13:37:29 +1200 (Sun, 17 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/core/ClassDiscovery.java


------------------------------------------------------------------------
r4487 | fracpete | 2008-08-17 14:14:46 +1200 (Sun, 17 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/experiment/DatabaseUtils.java


------------------------------------------------------------------------
r4490 | mhall | 2008-08-19 11:04:57 +1200 (Tue, 19 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/visualize/Plot2D.java


------------------------------------------------------------------------
r4491 | mhall | 2008-08-19 13:50:51 +1200 (Tue, 19 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/Evaluation.java


------------------------------------------------------------------------
r4492 | fracpete | 2008-08-20 13:34:18 +1200 (Wed, 20 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/associations/Tertius.java

parts string ("-p") is only returned if set (currently disabled anyway)

------------------------------------------------------------------------
r4493 | fracpete | 2008-08-20 14:17:53 +1200 (Wed, 20 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/datagenerators/DataGenerator.java


------------------------------------------------------------------------
r4494 | mhall | 2008-08-21 15:48:34 +1200 (Thu, 21 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/clusterers/SimpleKMeans.java


------------------------------------------------------------------------
r4496 | fracpete | 2008-08-21 17:59:16 +1200 (Thu, 21 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/explorer/PreprocessPanel.java


------------------------------------------------------------------------
r4497 | mhall | 2008-08-22 12:01:10 +1200 (Fri, 22 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/AttributeSummaryPanel.java


------------------------------------------------------------------------
r4498 | mhall | 2008-08-22 12:06:31 +1200 (Fri, 22 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/filters/unsupervised/attribute/StringToNominal.java


------------------------------------------------------------------------
r4499 | fracpete | 2008-08-25 09:40:08 +1200 (Mon, 25 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/core/converters/DatabaseLoader.java
   M /trunk/weka/experiment/DatabaseUtils.java
   M /trunk/weka/experiment/DatabaseUtils.props
   M /trunk/weka/experiment/DatabaseUtils.props.hsql
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/experiment/DatabaseUtils.props.sqlite3
   M /trunk/weka/experiment/InstanceQuery.java

added new type TIME (= 10) for correctly importing time columns from databases

------------------------------------------------------------------------
r4500 | fracpete | 2008-08-25 09:46:14 +1200 (Mon, 25 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/experiment/DatabaseUtils.props
   M /trunk/weka/experiment/DatabaseUtils.props.hsql
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/experiment/DatabaseUtils.props.sqlite3

fixed comments

------------------------------------------------------------------------
r4501 | fracpete | 2008-08-25 09:49:54 +1200 (Mon, 25 Aug 2008) | 2 lines
Changed paths:
   M /trunk/weka/experiment/DatabaseUtils.props
   M /trunk/weka/experiment/DatabaseUtils.props.hsql
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/experiment/DatabaseUtils.props.sqlite3

fixed typo: gloat -> float

------------------------------------------------------------------------
r4502 | mhall | 2008-08-25 09:51:58 +1200 (Mon, 25 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/experiment/RemoteEngine.java
   M /trunk/weka/experiment/RemoteExperimentSubTask.java


------------------------------------------------------------------------
r4505 | fracpete | 2008-08-25 10:33:48 +1200 (Mon, 25 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/bayes/net/EditableBayesNet.java
   M /trunk/weka/classifiers/trees/j48/C45PruneableClassifierTreeG.java
   M /trunk/weka/core/Environment.java
   M /trunk/weka/core/parser/java_cup/Lexer.java


------------------------------------------------------------------------
r4506 | fracpete | 2008-08-25 11:44:12 +1200 (Mon, 25 Aug 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/ResultHistoryPanel.java


------------------------------------------------------------------------
r4507 | mhall | 2008-09-05 15:37:26 +1200 (Fri, 05 Sep 2008) | 1 line
Changed paths:
   M /trunk/weka/build.xml


------------------------------------------------------------------------
r4508 | mhall | 2008-09-08 11:11:41 +1200 (Mon, 08 Sep 2008) | 1 line
Changed paths:
   M /trunk/weka/experiment/remote.policy
   M /trunk/weka/experiment/remote.policy.example


------------------------------------------------------------------------
r4509 | fracpete | 2008-09-08 14:41:56 +1200 (Mon, 08 Sep 2008) | 2 lines
Changed paths:
   M /trunk/weka/gui/PropertyDialog.java

fixed constructor - now definitely modal (may have caused problems in conjunction with the array editor, not updating the values correctly)

------------------------------------------------------------------------
r4510 | fracpete | 2008-09-08 14:43:40 +1200 (Mon, 08 Sep 2008) | 2 lines
Changed paths:
   M /trunk/weka/gui/GenericArrayEditor.java
   M /trunk/weka/gui/GenericObjectEditor.java

fixed rendering of strings: array entries are now centered and no longer cut off at the bottom

------------------------------------------------------------------------
r4514 | fracpete | 2008-09-12 08:57:26 +1200 (Fri, 12 Sep 2008) | 1 line
Changed paths:
   M /trunk/weka/core/converters/DatabaseLoader.java
   M /trunk/weka/experiment/InstanceQuery.java


------------------------------------------------------------------------
r4515 | fracpete | 2008-09-15 11:00:10 +1200 (Mon, 15 Sep 2008) | 1 line
Changed paths:
   M /branches/book2ndEd-branch/weka/gui/visualize/PostscriptGraphics.java
   M /trunk/weka/gui/visualize/PostscriptGraphics.java


------------------------------------------------------------------------
r4517 | fracpete | 2008-09-15 15:24:52 +1200 (Mon, 15 Sep 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GenericObjectEditor.java


------------------------------------------------------------------------
r4518 | mhall | 2008-09-17 13:40:27 +1200 (Wed, 17 Sep 2008) | 2 lines
Changed paths:
   A /trunk/weka/classifiers/pmml
   A /trunk/weka/classifiers/pmml/consumer
   A /trunk/weka/classifiers/pmml/consumer/GeneralRegression.java
   A /trunk/weka/classifiers/pmml/consumer/NeuralNetwork.java
   A /trunk/weka/classifiers/pmml/consumer/PMMLClassifier.java
   A /trunk/weka/classifiers/pmml/consumer/Regression.java
   A /trunk/weka/core/pmml
   A /trunk/weka/core/pmml/Apply.java
   A /trunk/weka/core/pmml/BuiltInArithmetic.java
   A /trunk/weka/core/pmml/BuiltInMath.java
   A /trunk/weka/core/pmml/BuiltInString.java
   A /trunk/weka/core/pmml/Constant.java
   A /trunk/weka/core/pmml/DefineFunction.java
   A /trunk/weka/core/pmml/DerivedFieldMetaInfo.java
   A /trunk/weka/core/pmml/Discretize.java
   A /trunk/weka/core/pmml/Expression.java
   A /trunk/weka/core/pmml/FieldMetaInfo.java
   A /trunk/weka/core/pmml/FieldRef.java
   A /trunk/weka/core/pmml/Function.java
   A /trunk/weka/core/pmml/MappingInfo.java
   A /trunk/weka/core/pmml/MiningFieldMetaInfo.java
   A /trunk/weka/core/pmml/MiningSchema.java
   A /trunk/weka/core/pmml/NormContinuous.java
   A /trunk/weka/core/pmml/NormDiscrete.java
   A /trunk/weka/core/pmml/PMMLFactory.java
   A /trunk/weka/core/pmml/PMMLModel.java
   A /trunk/weka/core/pmml/PMMLUtils.java
   A /trunk/weka/core/pmml/TargetMetaInfo.java
   A /trunk/weka/core/pmml/TransformationDictionary.java

Initial import.

------------------------------------------------------------------------
r4519 | mhall | 2008-09-17 13:44:18 +1200 (Wed, 17 Sep 2008) | 2 lines
Changed paths:
   M /trunk/weka/classifiers/Evaluation.java
   M /trunk/weka/gui/explorer/ClassifierPanel.java

Added support for loading and testing PMML classifiers.

------------------------------------------------------------------------
r4520 | mhall | 2008-09-19 20:04:23 +1200 (Fri, 19 Sep 2008) | 2 lines
Changed paths:
   M /trunk/weka/classifiers/Evaluation.java

Fixed bug that prevented predictions being printed out when class is  numeric.

------------------------------------------------------------------------
r4522 | fracpete | 2008-09-21 12:19:42 +1200 (Sun, 21 Sep 2008) | 2 lines
Changed paths:
   M /trunk/weka/filters/unsupervised/attribute/Add.java

extended Add filter to in order to be able to add STRING and DATE attributes as well

------------------------------------------------------------------------
r4525 | mhall | 2008-09-23 20:12:19 +1200 (Tue, 23 Sep 2008) | 2 lines
Changed paths:
   M /trunk/weka/core/pmml/PMMLFactory.java

Removed some redundant constants

------------------------------------------------------------------------
r4537 | mhall | 2008-10-07 11:48:44 +1300 (Tue, 07 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/core/Instance.java
   M /trunk/weka/core/Instances.java


------------------------------------------------------------------------
r4538 | mhall | 2008-10-09 10:56:49 +1300 (Thu, 09 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/build.xml

Deleted cvs stuff and added new subversion targets.
------------------------------------------------------------------------
r4541 | fracpete | 2008-10-13 14:56:19 +1300 (Mon, 13 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/visualize/VisualizePanel.java

added get-method for m_plot member (useful if an external application wants to save the generated ROC curve automatically)
------------------------------------------------------------------------
r4543 | fracpete | 2008-10-13 16:19:52 +1300 (Mon, 13 Oct 2008) | 3 lines
Changed paths:
   M /trunk/weka/gui/visualize/VisualizePanel.java

testing the pre-commit hook


------------------------------------------------------------------------
r4544 | fracpete | 2008-10-13 16:22:35 +1300 (Mon, 13 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/visualize/VisualizePanel.java

updated copyright - for testing the pre-commit hook
------------------------------------------------------------------------
r4545 | fracpete | 2008-10-13 23:02:01 +1300 (Mon, 13 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/visualize/VisualizePanel.java

added public removeAllPlots() methods
------------------------------------------------------------------------
r4547 | mhall | 2008-10-15 04:06:52 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/functions/supportVector/StringKernel.java

Missing GPL header and copyright
------------------------------------------------------------------------
r4549 | mhall | 2008-10-15 04:12:23 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/functions/supportVector/CachedKernel.java

Missing copyright notice
------------------------------------------------------------------------
r4551 | mhall | 2008-10-15 05:04:44 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   A /trunk/weka/filters/supervised/instance/SMOTE.java

Initial import of Ryan Lichtenwalter's implementation of SMOTE
------------------------------------------------------------------------
r4552 | mhall | 2008-10-15 05:07:49 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GenericObjectEditor.props

Added SMOTE
------------------------------------------------------------------------
r4553 | mhall | 2008-10-15 10:20:12 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/core/converters/CSVLoader.java

Now doesn't load data into memory before tokenizing. Code tidied.
------------------------------------------------------------------------
r4555 | fracpete | 2008-10-15 10:45:58 +1300 (Wed, 15 Oct 2008) | 4 lines
Changed paths:
   M /trunk/weka/filters/supervised/instance/SMOTE.java

fixed indentation
fixed option handling (pushed checks from setOptions method into actual set-methods; getOptions uses a vector now)
removed the detectMinorityClass option completely
added Javadoc comments for members
------------------------------------------------------------------------
r4557 | fracpete | 2008-10-15 11:28:46 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/associations/AssociatorEvaluation.java
   M /trunk/weka/associations/CheckAssociator.java
   M /trunk/weka/associations/FilteredAssociator.java
   M /trunk/weka/associations/GeneralizedSequentialPatterns.java
   M /trunk/weka/associations/SingleAssociatorEnhancer.java
   M /trunk/weka/associations/gsp/Element.java
   M /trunk/weka/associations/gsp/Sequence.java
   M /trunk/weka/attributeSelection/CheckAttributeSelection.java
   M /trunk/weka/attributeSelection/SVMAttributeEval.java
   M /trunk/weka/classifiers/BVDecomposeSegCVSub.java
   M /trunk/weka/classifiers/bayes/NaiveBayesMultinomialUpdateable.java
   M /trunk/weka/classifiers/bayes/WAODE.java
   M /trunk/weka/classifiers/bayes/net/search/global/TAN.java
   M /trunk/weka/classifiers/functions/LibSVM.java
   M /trunk/weka/classifiers/functions/PLSClassifier.java
   M /trunk/weka/classifiers/functions/SVMreg.java
   M /trunk/weka/classifiers/functions/supportVector/CheckKernel.java
   M /trunk/weka/classifiers/functions/supportVector/KernelEvaluation.java
   M /trunk/weka/classifiers/functions/supportVector/Puk.java
   M /trunk/weka/classifiers/functions/supportVector/RegOptimizer.java
   M /trunk/weka/classifiers/functions/supportVector/RegSMO.java
   M /trunk/weka/classifiers/functions/supportVector/RegSMOImproved.java
   M /trunk/weka/classifiers/functions/supportVector/StringKernel.java
   M /trunk/weka/classifiers/meta/ClassificationViaClustering.java
   M /trunk/weka/classifiers/meta/GridSearch.java
   M /trunk/weka/classifiers/meta/RandomSubSpace.java
   M /trunk/weka/classifiers/mi/CitationKNN.java
   M /trunk/weka/classifiers/mi/MDD.java
   M /trunk/weka/classifiers/mi/MIBoost.java
   M /trunk/weka/classifiers/mi/MIDD.java
   M /trunk/weka/classifiers/mi/MIEMDD.java
   M /trunk/weka/classifiers/mi/MILR.java
   M /trunk/weka/classifiers/mi/MINND.java
   M /trunk/weka/classifiers/mi/MIOptimalBall.java
   M /trunk/weka/classifiers/mi/MISMO.java
   M /trunk/weka/classifiers/mi/MISVM.java
   M /trunk/weka/classifiers/mi/MIWrapper.java
   M /trunk/weka/classifiers/mi/SimpleMI.java
   M /trunk/weka/classifiers/mi/TLD.java
   M /trunk/weka/classifiers/mi/TLDSimple.java
   M /trunk/weka/classifiers/mi/supportVector/MIPolyKernel.java
   M /trunk/weka/classifiers/mi/supportVector/MIRBFKernel.java
   M /trunk/weka/classifiers/misc/MinMaxExtension.java
   M /trunk/weka/classifiers/misc/OLM.java
   M /trunk/weka/classifiers/misc/OSDL.java
   M /trunk/weka/classifiers/misc/SerializedClassifier.java
   M /trunk/weka/classifiers/misc/monotone/AbsoluteLossFunction.java
   M /trunk/weka/classifiers/misc/monotone/BitMatrix.java
   M /trunk/weka/classifiers/misc/monotone/BooleanBitMatrix.java
   M /trunk/weka/classifiers/misc/monotone/Coordinates.java
   M /trunk/weka/classifiers/misc/monotone/CumulativeDiscreteDistribution.java
   M /trunk/weka/classifiers/misc/monotone/DiscreteDistribution.java
   M /trunk/weka/classifiers/misc/monotone/DistributionUtils.java
   M /trunk/weka/classifiers/misc/monotone/EnumerationIterator.java
   M /trunk/weka/classifiers/misc/monotone/InstancesComparator.java
   M /trunk/weka/classifiers/misc/monotone/InstancesUtil.java
   M /trunk/weka/classifiers/misc/monotone/MultiDimensionalSort.java
   M /trunk/weka/classifiers/misc/monotone/NominalLossFunction.java
   M /trunk/weka/classifiers/misc/monotone/OSDLCore.java
   M /trunk/weka/classifiers/misc/monotone/ZeroOneLossFunction.java
   M /trunk/weka/clusterers/CheckClusterer.java
   M /trunk/weka/clusterers/FilteredClusterer.java
   M /trunk/weka/clusterers/RandomizableClusterer.java
   M /trunk/weka/clusterers/RandomizableDensityBasedClusterer.java
   M /trunk/weka/clusterers/RandomizableSingleClustererEnhancer.java
   M /trunk/weka/clusterers/SingleClustererEnhancer.java
   M /trunk/weka/clusterers/UpdateableClusterer.java
   M /trunk/weka/core/AllJavadoc.java
   M /trunk/weka/core/AttributeLocator.java
   M /trunk/weka/core/Capabilities.java
   M /trunk/weka/core/Capabilities.props
   M /trunk/weka/core/CapabilitiesHandler.java
   M /trunk/weka/core/Check.java
   M /trunk/weka/core/CheckGOE.java
   M /trunk/weka/core/CheckScheme.java
   M /trunk/weka/core/ClassDiscovery.java
   M /trunk/weka/core/Copyright.java
   M /trunk/weka/core/Copyright.props
   M /trunk/weka/core/Debug.java
   M /trunk/weka/core/FindWithCapabilities.java
   M /trunk/weka/core/GlobalInfoJavadoc.java
   M /trunk/weka/core/Javadoc.java
   M /trunk/weka/core/ListOptions.java
   M /trunk/weka/core/MultiInstanceCapabilitiesHandler.java
   M /trunk/weka/core/RelationalLocator.java
   M /trunk/weka/core/SerializationHelper.java
   M /trunk/weka/core/StringLocator.java
   M /trunk/weka/core/TechnicalInformation.java
   M /trunk/weka/core/TechnicalInformationHandler.java
   M /trunk/weka/core/TechnicalInformationHandlerJavadoc.java
   M /trunk/weka/core/TestInstances.java
   M /trunk/weka/core/Trie.java
   M /trunk/weka/core/converters/AbstractFileLoader.java
   M /trunk/weka/core/converters/LibSVMLoader.java
   M /trunk/weka/core/converters/LibSVMSaver.java
   M /trunk/weka/core/converters/TextDirectoryLoader.java
   M /trunk/weka/core/converters/XRFFLoader.java
   M /trunk/weka/core/converters/XRFFSaver.java
   M /trunk/weka/core/matrix/DoubleVector.java
   M /trunk/weka/core/matrix/ExponentialFormat.java
   M /trunk/weka/core/matrix/FlexibleDecimalFormat.java
   M /trunk/weka/core/matrix/FloatingPointFormat.java
   M /trunk/weka/core/matrix/IntVector.java
   M /trunk/weka/core/neighboursearch/BallTree.java
   M /trunk/weka/core/neighboursearch/CoverTree.java
   M /trunk/weka/core/neighboursearch/KDTree.java
   M /trunk/weka/core/neighboursearch/LinearNNSearch.java
   M /trunk/weka/core/neighboursearch/NearestNeighbourSearch.java
   M /trunk/weka/core/neighboursearch/PerformanceStats.java
   M /trunk/weka/core/neighboursearch/TreePerformanceStats.java
   M /trunk/weka/core/neighboursearch/balltrees/BallNode.java
   M /trunk/weka/core/neighboursearch/balltrees/BallSplitter.java
   M /trunk/weka/core/neighboursearch/balltrees/BallTreeConstructor.java
   M /trunk/weka/core/neighboursearch/balltrees/BottomUpConstructor.java
   M /trunk/weka/core/neighboursearch/balltrees/MedianDistanceFromArbitraryPoint.java
   M /trunk/weka/core/neighboursearch/balltrees/MedianOfWidestDimension.java
   M /trunk/weka/core/neighboursearch/balltrees/MiddleOutConstructor.java
   M /trunk/weka/core/neighboursearch/balltrees/PointsClosestToFurthestChildren.java
   M /trunk/weka/core/neighboursearch/balltrees/TopDownConstructor.java
   M /trunk/weka/core/neighboursearch/covertrees/Stack.java
   M /trunk/weka/core/neighboursearch/kdtrees/KDTreeNode.java
   M /trunk/weka/core/neighboursearch/kdtrees/KDTreeNodeSplitter.java
   M /trunk/weka/core/neighboursearch/kdtrees/KMeansInpiredMethod.java
   M /trunk/weka/core/neighboursearch/kdtrees/MedianOfWidestDimension.java
   M /trunk/weka/core/neighboursearch/kdtrees/MidPointOfWidestDimension.java
   M /trunk/weka/core/neighboursearch/kdtrees/SlidingMidPointOfWidestSide.java
   M /trunk/weka/core/parser/java_cup/Lexer.jflex
   M /trunk/weka/core/stemmers/IteratedLovinsStemmer.java
   M /trunk/weka/core/stemmers/LovinsStemmer.java
   M /trunk/weka/core/stemmers/NullStemmer.java
   M /trunk/weka/core/stemmers/SnowballStemmer.java
   M /trunk/weka/core/stemmers/Stemmer.java
   M /trunk/weka/core/stemmers/Stemming.java
   M /trunk/weka/core/tokenizers/AlphabeticTokenizer.java
   M /trunk/weka/core/tokenizers/CharacterDelimitedTokenizer.java
   M /trunk/weka/core/tokenizers/NGramTokenizer.java
   M /trunk/weka/core/tokenizers/Tokenizer.java
   M /trunk/weka/core/tokenizers/WordTokenizer.java
   M /trunk/weka/core/xml/XMLInstances.java
   M /trunk/weka/datagenerators/ClassificationGenerator.java
   M /trunk/weka/datagenerators/ClusterDefinition.java
   M /trunk/weka/datagenerators/DataGenerator.java
   M /trunk/weka/datagenerators/RegressionGenerator.java
   M /trunk/weka/datagenerators/classifiers/classification/Agrawal.java
   M /trunk/weka/datagenerators/classifiers/classification/BayesNet.java
   M /trunk/weka/datagenerators/classifiers/classification/LED24.java
   M /trunk/weka/datagenerators/classifiers/classification/RDG1.java
   M /trunk/weka/datagenerators/classifiers/classification/RandomRBF.java
   M /trunk/weka/datagenerators/classifiers/regression/Expression.java
   M /trunk/weka/datagenerators/classifiers/regression/MexicanHat.java
   M /trunk/weka/datagenerators/clusterers/BIRCHCluster.java
   M /trunk/weka/datagenerators/clusterers/SubspaceCluster.java
   M /trunk/weka/datagenerators/clusterers/SubspaceClusterDefinition.java
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/filters/CheckSource.java
   M /trunk/weka/filters/MultiFilter.java
   M /trunk/weka/filters/SimpleBatchFilter.java
   M /trunk/weka/filters/SimpleFilter.java
   M /trunk/weka/filters/SimpleStreamFilter.java
   M /trunk/weka/filters/Sourcable.java
   M /trunk/weka/filters/supervised/attribute/AddClassification.java
   M /trunk/weka/filters/supervised/attribute/PLSFilter.java
   M /trunk/weka/filters/unsupervised/attribute/AddID.java
   M /trunk/weka/filters/unsupervised/attribute/AddValues.java
   M /trunk/weka/filters/unsupervised/attribute/Center.java
   M /trunk/weka/filters/unsupervised/attribute/ClassAssigner.java
   M /trunk/weka/filters/unsupervised/attribute/InterquartileRange.java
   M /trunk/weka/filters/unsupervised/attribute/KernelFilter.java
   M /trunk/weka/filters/unsupervised/attribute/MultiInstanceToPropositional.java
   M /trunk/weka/filters/unsupervised/attribute/NominalToString.java
   M /trunk/weka/filters/unsupervised/attribute/NumericCleaner.java
   M /trunk/weka/filters/unsupervised/attribute/NumericToNominal.java
   M /trunk/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java
   M /trunk/weka/filters/unsupervised/attribute/PropositionalToMultiInstance.java
   M /trunk/weka/filters/unsupervised/attribute/RELAGGS.java
   M /trunk/weka/filters/unsupervised/attribute/Wavelet.java
   M /trunk/weka/filters/unsupervised/instance/RemoveFrequentValues.java
   M /trunk/weka/gui/BrowserHelper.java
   M /trunk/weka/gui/CheckBoxList.java
   M /trunk/weka/gui/ConverterFileChooser.java
   M /trunk/weka/gui/GUIEditors.props
   M /trunk/weka/gui/GenericPropertiesCreator.excludes
   M /trunk/weka/gui/JListHelper.java
   M /trunk/weka/gui/Main.java
   M /trunk/weka/gui/MainMenuExtension.java
   M /trunk/weka/gui/SimpleCLI.props
   M /trunk/weka/gui/SimpleCLIPanel.java
   M /trunk/weka/gui/SimpleDateFormatEditor.java
   M /trunk/weka/gui/SortedTableModel.java
   M /trunk/weka/gui/beans/icons/New24.gif
   M /trunk/weka/gui/experiment/Experimenter.props
   M /trunk/weka/gui/experiment/ExperimenterDefaults.java
   M /trunk/weka/gui/experiment/OutputFormatDialog.java
   M /trunk/weka/gui/explorer/DataGeneratorPanel.java
   M /trunk/weka/gui/explorer/Explorer.props
   M /trunk/weka/gui/explorer/ExplorerDefaults.java
   M /trunk/weka/gui/sql/ConnectionPanel.java
   M /trunk/weka/gui/sql/DbUtils.java
   M /trunk/weka/gui/sql/InfoPanel.java
   M /trunk/weka/gui/sql/InfoPanelCellRenderer.java
   M /trunk/weka/gui/sql/QueryPanel.java
   M /trunk/weka/gui/sql/ResultPanel.java
   M /trunk/weka/gui/sql/ResultSetHelper.java
   M /trunk/weka/gui/sql/ResultSetTable.java
   M /trunk/weka/gui/sql/ResultSetTableCellRenderer.java
   M /trunk/weka/gui/sql/ResultSetTableModel.java
   M /trunk/weka/gui/sql/SqlViewer.java
   M /trunk/weka/gui/sql/SqlViewerDialog.java
   M /trunk/weka/gui/sql/event/ConnectionEvent.java
   M /trunk/weka/gui/sql/event/ConnectionListener.java
   M /trunk/weka/gui/sql/event/HistoryChangedEvent.java
   M /trunk/weka/gui/sql/event/HistoryChangedListener.java
   M /trunk/weka/gui/sql/event/QueryExecuteEvent.java
   M /trunk/weka/gui/sql/event/QueryExecuteListener.java
   M /trunk/weka/gui/sql/event/ResultChangedEvent.java
   M /trunk/weka/gui/sql/event/ResultChangedListener.java
   M /trunk/weka/gui/visualize/BMPWriter.java
   M /trunk/weka/gui/visualize/PNGWriter.java
   M /trunk/weka/gui/visualize/plugins/VisualizePlugin.java

no longer executable (left-overs from importing files from Windows into CVS)
------------------------------------------------------------------------
r4559 | fracpete | 2008-10-15 11:40:25 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/images/back.gif
   M /trunk/weka/gui/images/empty_small.gif
   M /trunk/weka/gui/images/error_small.gif
   M /trunk/weka/gui/images/home.gif
   M /trunk/weka/gui/images/information_small.gif
   M /trunk/weka/gui/images/question_small.gif
   M /trunk/weka/gui/images/resize.gif
   M /trunk/weka/gui/images/weka_background.gif
   M /trunk/weka/gui/images/weka_splash.gif

no longer executable (left-overs from importing files on Windows into CVS)
------------------------------------------------------------------------
r4564 | fracpete | 2008-10-15 11:59:23 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/trees/BFTree.java
   M /trunk/weka/classifiers/trees/SimpleCart.java
   M /trunk/weka/core/MathematicalExpression.java
   M /trunk/weka/core/OptionHandlerJavadoc.java
   M /trunk/weka/experiment/remote.policy.example

no longer executable (left-overs from importing files on Windows into CVS)
------------------------------------------------------------------------
r4565 | mhall | 2008-10-15 15:48:26 +1300 (Wed, 15 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/filters/supervised/instance/SMOTE.java

Fixed another setOptions bug
------------------------------------------------------------------------
r4567 | mhall | 2008-10-17 03:37:34 +1300 (Fri, 17 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/core/Environment.java

Added a method to return a set of keys
------------------------------------------------------------------------
r4568 | mhall | 2008-10-17 03:42:48 +1300 (Fri, 17 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/beans/FlowRunner.java

Now sets an Internal.knowledgeflow.directory variable in weka.core.Environment when any of the load methods are called
------------------------------------------------------------------------
r4571 | mhall | 2008-10-17 07:21:36 +1300 (Fri, 17 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/experiment/ClassifierSplitEvaluator.java

Added weighted average IR statistics
------------------------------------------------------------------------
r4573 | mhall | 2008-10-17 12:56:04 +1300 (Fri, 17 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GenericObjectEditor.java

Methods that can't handle the data at all are now shown greyed out in the tree (rather than in red) and can't be selected.
------------------------------------------------------------------------
r4577 | mhall | 2008-10-18 08:37:26 +1300 (Sat, 18 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/core/converters/AbstractFileSaver.java

Added support for environment variables in the prefix and directory parameters
------------------------------------------------------------------------
r4579 | mhall | 2008-10-18 08:58:14 +1300 (Sat, 18 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/beans/xml/XMLBeans.java

writeSaver was not always saving the directory and prefix
------------------------------------------------------------------------
r4585 | mhall | 2008-10-24 15:21:38 +1300 (Fri, 24 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GenericObjectEditor.java

Fixed a bug (introduced from the last change) where you couldn't select an item if it didn't support capabilities.
------------------------------------------------------------------------
r4591 | mhall | 2008-10-29 12:12:09 +1300 (Wed, 29 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/beans/Saver.java
   M /trunk/weka/gui/beans/SaverCustomizer.java

Now has an option to use just the prefix as the file name rather than prefix + relation name
------------------------------------------------------------------------
r4592 | mhall | 2008-10-29 12:13:16 +1300 (Wed, 29 Oct 2008) | 1 line
Changed paths:
   M /trunk/weka/core/converters/AbstractFileSaver.java

Now checks for empty filename in setDirAndPrefix()
------------------------------------------------------------------------
r4602 | mhall | 2008-11-04 12:17:12 +1300 (Tue, 04 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/beans/Classifier.java
   M /trunk/weka/gui/beans/Filter.java

Now allows for streamable filters that don't output any instances until the end of the stream (e.g. ReservoirSample)
------------------------------------------------------------------------
r4604 | mhall | 2008-11-04 12:20:08 +1300 (Tue, 04 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/filters/unsupervised/instance/ReservoirSample.java

Now a StreamableFilter
------------------------------------------------------------------------
r4606 | mhall | 2008-11-06 09:40:58 +1300 (Thu, 06 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/classifiers/meta/RotationForest.java

Initial import of Juan Rodriguez' implementation of Rotation Forests
------------------------------------------------------------------------
r4608 | fracpete | 2008-11-08 22:23:00 +1300 (Sat, 08 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/rules/JRip.java
   M /trunk/weka/classifiers/rules/RuleStats.java

added cleanUp method to RuleStats to set m_Data and m_Filter to null for dramatic memory savings (thanks to Bernhard for that hint)
------------------------------------------------------------------------
r4611 | mhall | 2008-11-10 08:27:05 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GenericObjectEditor.props

Added RotationForest
------------------------------------------------------------------------
r4612 | mhall | 2008-11-10 10:03:20 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/meta/RotationForest.java

Some small changes from Juan
------------------------------------------------------------------------
r4613 | mhall | 2008-11-10 10:05:21 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/attributeSelection/AttributeTransformer.java

Changed interface so that implementers don't have to keep a copy of the training data in order to implement transformedData()
------------------------------------------------------------------------
r4614 | mhall | 2008-11-10 10:06:37 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/attributeSelection/RankSearch.java

Changed to reflect changes to AttributeTransformer
------------------------------------------------------------------------
r4615 | mhall | 2008-11-10 10:07:00 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/attributeSelection/LatentSemanticAnalysis.java
   M /trunk/weka/attributeSelection/PrincipalComponents.java

Changed to reflect changes to AttributeTransformer and now do not keep a copy of the training data
------------------------------------------------------------------------
r4616 | mhall | 2008-11-10 10:09:00 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/filters/unsupervised/attribute/PrincipalComponents.java

No longer keeps a copy of the training data
------------------------------------------------------------------------
r4617 | mhall | 2008-11-10 10:10:02 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/explorer/AttributeSelectionPanel.java

Changed to reflect changes to AttributeTransformer
------------------------------------------------------------------------
r4626 | mhall | 2008-11-10 10:38:51 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/meta/RotationForest.java

Juan Rodriguesz has given copyright to the University of Waikato.
------------------------------------------------------------------------
r4630 | mhall | 2008-11-10 13:56:50 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GUIChooser.java

Revamped.
------------------------------------------------------------------------
r4631 | mhall | 2008-11-10 13:57:07 +1300 (Mon, 10 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/Main.java

Added the bayes net editor to the tools menu
------------------------------------------------------------------------
r4634 | mhall | 2008-11-11 07:53:39 +1300 (Tue, 11 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/filters/supervised/attribute/AttributeSelection.java

Changed to reflect changes in AttributeTransformer
------------------------------------------------------------------------
r4635 | mhall | 2008-11-11 07:55:16 +1300 (Tue, 11 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/classifiers/bayes/net/GUI.java

Changed so that the menu bar can be got via a accessor method
------------------------------------------------------------------------
r4637 | mhall | 2008-11-11 10:39:18 +1300 (Tue, 11 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/filters/unsupervised/attribute/PrincipalComponents.java

Was still keeping a copy of the training data.
------------------------------------------------------------------------
r4639 | mhall | 2008-11-11 10:42:34 +1300 (Tue, 11 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/experiment/AlgorithmListPanel.java

Fixed weird editing algorithm editing bug (sometimes seemed to edit the wrong scheme from the list)
------------------------------------------------------------------------
r4641 | mhall | 2008-11-11 12:39:22 +1300 (Tue, 11 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/GUIChooser.java

Fixed menu rendering bug.
------------------------------------------------------------------------
r4643 | mhall | 2008-11-11 13:55:47 +1300 (Tue, 11 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/gui/Main.java

Removed old WekaDoc link from help menu and fixed url for WekaWiki.
------------------------------------------------------------------------
r4646 | fracpete | 2008-11-12 09:52:00 +1300 (Wed, 12 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/core/converters/TextDirectoryLoader.java

updated URLs
------------------------------------------------------------------------
r4648 | fracpete | 2008-11-12 10:10:39 +1300 (Wed, 12 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/core/stemmers/SnowballStemmer.java
   M /trunk/weka/gui/GenericPropertiesCreator.props

updated URLs
------------------------------------------------------------------------
r4662 | mhall | 2008-11-13 14:55:54 +1300 (Thu, 13 Nov 2008) | 1 line
Changed paths:
   A /trunk/src/main/java/weka (from /trunk/weka:4661)
   D /trunk/weka

Moving to new structure
------------------------------------------------------------------------
r4665 | mhall | 2008-11-13 14:59:08 +1300 (Thu, 13 Nov 2008) | 1 line
Changed paths:
   A /trunk/build.xml (from /trunk/src/main/java/weka/build.xml:4664)
   D /trunk/src/main/java/weka/build.xml

Moving to top level
------------------------------------------------------------------------
r4670 | mhall | 2008-11-13 16:21:14 +1300 (Thu, 13 Nov 2008) | 1 line
Changed paths:
   M /trunk/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

Now has an option to eliminate empty bins and an option to turn on equal frequency discretization. Removed unnecessary capabilities resriction
------------------------------------------------------------------------
r4671 | mhall | 2008-11-13 16:25:06 +1300 (Thu, 13 Nov 2008) | 1 line
Changed paths:
   M /trunk/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

Updated javadoc
------------------------------------------------------------------------
r4698 | mhall | 2008-11-14 11:39:21 +1300 (Fri, 14 Nov 2008) | 1 line
Changed paths:
   D /trunk/src
   A /trunk/weka/src (from /trunk/src:4697)

Move out of top level
------------------------------------------------------------------------
r4708 | fracpete | 2008-11-16 16:03:33 +1300 (Sun, 16 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/parsers.xml (from /trunk/weka/src/main/java/weka/parsers.xml:4707)
   D /trunk/weka/src/main/java/weka/parsers.xml

moved ant build file for parsers
------------------------------------------------------------------------
r4713 | mhall | 2008-11-17 14:55:21 +1300 (Mon, 17 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java

Andreas Lof's patch for handling ranges of attributes
------------------------------------------------------------------------
r4716 | mhall | 2008-11-19 13:36:25 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/logging
   A /trunk/weka/src/main/java/weka/core/logging/ConsoleLogger.java
   A /trunk/weka/src/main/java/weka/core/logging/FileLogger.java
   A /trunk/weka/src/main/java/weka/core/logging/Logger.java
   A /trunk/weka/src/main/java/weka/core/logging/Logging.props
   A /trunk/weka/src/main/java/weka/core/logging/OutputLogger.java

Peter's central logging stuff.
------------------------------------------------------------------------
r4717 | mhall | 2008-11-19 13:38:28 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlow.java

Added a call to core.logging at startup
------------------------------------------------------------------------
r4718 | mhall | 2008-11-19 13:39:45 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java
   M /trunk/weka/src/main/java/weka/gui/LogPanel.java
   M /trunk/weka/src/main/java/weka/gui/Main.java

Now uses central logging
------------------------------------------------------------------------
r4719 | mhall | 2008-11-19 13:40:23 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffViewer.java

Now uses central logging
------------------------------------------------------------------------
r4720 | mhall | 2008-11-19 13:40:55 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Now uses central logging
------------------------------------------------------------------------
r4721 | mhall | 2008-11-19 13:41:27 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/experiment/Experimenter.java

Now uses central logging
------------------------------------------------------------------------
r4722 | mhall | 2008-11-19 13:41:57 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/Explorer.java

Now uses central logging
------------------------------------------------------------------------
r4723 | mhall | 2008-11-19 13:42:20 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphVisualizer.java

Now uses central logging
------------------------------------------------------------------------
r4724 | mhall | 2008-11-19 13:42:49 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/sql/SqlViewer.java

Now uses central logging
------------------------------------------------------------------------
r4725 | mhall | 2008-11-19 13:43:18 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeVisualizer.java

Now uses central logging
------------------------------------------------------------------------
r4726 | mhall | 2008-11-19 13:43:40 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

Now uses central logging
------------------------------------------------------------------------
r4738 | fracpete | 2008-11-19 15:33:57 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

"Visualize classifier errors" now automatically selects "class" vs. "predicted class" as initial view
------------------------------------------------------------------------
r4739 | mhall | 2008-11-19 16:04:25 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java

Fixed a bug where predictor terms were not being printed out. Also predictor terms were being set as the result rather than being added in to the sum.
------------------------------------------------------------------------
r4742 | fracpete | 2008-11-19 16:35:52 +1300 (Wed, 19 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/PropertyPath.java

the "find" method is now public
------------------------------------------------------------------------
r4746 | mhall | 2008-11-22 19:33:23 +1300 (Sat, 22 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java

Added a capabilities constraint of a minimum of twoinstances.
------------------------------------------------------------------------
r4749 | mhall | 2008-11-22 21:47:49 +1300 (Sat, 22 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/TextViewer.java

Clear results action now actually clears all the result buffers :-)
------------------------------------------------------------------------
r4751 | mhall | 2008-11-23 12:27:34 +1300 (Sun, 23 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/PlotData2D.java

Now has a method for setting a plot name (in html perhaps) that is suitable for use as a tool tip
------------------------------------------------------------------------
r4752 | mhall | 2008-11-23 12:28:00 +1300 (Sun, 23 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/LegendPanel.java

Now sets tool tips for legend entries
------------------------------------------------------------------------
r4753 | mhall | 2008-11-23 12:28:43 +1300 (Sun, 23 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

Clear all plots clears the legend entry as well now. Added method to switch from legend panel back to attribute bars panel.
------------------------------------------------------------------------
r4757 | mhall | 2008-11-23 12:32:24 +1300 (Sun, 23 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ModelPerformanceChart.java

Now has user option for clearing all the plots
------------------------------------------------------------------------
r4758 | mhall | 2008-11-23 12:33:47 +1300 (Sun, 23 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Now sets plot names for threshold events in html and also sets the html tool tip for each plot name.
------------------------------------------------------------------------
r4761 | mhall | 2008-11-24 13:39:29 +1300 (Mon, 24 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/BatchClassifierEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetEvent.java

Added a run number
------------------------------------------------------------------------
r4762 | mhall | 2008-11-24 13:41:48 +1300 (Mon, 24 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/ModelPerformanceChart.java
   M /trunk/weka/src/main/java/weka/gui/beans/TextViewer.java

clear all results/plots now needs confirmation from user
------------------------------------------------------------------------
r4763 | mhall | 2008-11-24 13:43:12 +1300 (Mon, 24 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Now supports multiple threads of execution.
------------------------------------------------------------------------
r4767 | mhall | 2008-11-24 16:01:20 +1300 (Mon, 24 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Modified to handle the executionSlots property in weka.gui.beans.Classifier
------------------------------------------------------------------------
r4769 | mhall | 2008-11-25 15:35:19 +1300 (Tue, 25 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/arffviewer/ArffPanel.java

Changed so that you can now set all values of an attribute to missing using either ? or NaN
------------------------------------------------------------------------
r4771 | mhall | 2008-11-25 21:05:16 +1300 (Tue, 25 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java
   A /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMakerBeanInfo.java

Initial import
------------------------------------------------------------------------
r4772 | mhall | 2008-11-25 21:06:28 +1300 (Tue, 25 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/icons/InstanceStreamToBatchMaker.gif
   A /trunk/weka/src/main/java/weka/gui/beans/icons/InstanceStreamToBatchMaker_animated.gif

Initial import
------------------------------------------------------------------------
r4775 | mhall | 2008-11-25 21:12:09 +1300 (Tue, 25 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Beans.props

Added InstanceStreamToBatchMaker
------------------------------------------------------------------------
r4777 | mhall | 2008-11-26 11:55:02 +1300 (Wed, 26 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java

Fixed for incremental filters that may need to cache some instances before producing output (e.g. reservoir sampling)
------------------------------------------------------------------------
r4778 | mhall | 2008-11-26 12:12:27 +1300 (Wed, 26 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed NPE bug when stopping execution.
------------------------------------------------------------------------
r4781 | mhall | 2008-11-28 08:26:43 +1300 (Fri, 28 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/XMeans.java

Fixed bug that prevented min number of clusters being set correctly from the command line.
------------------------------------------------------------------------
r4783 | mhall | 2008-11-28 10:57:29 +1300 (Fri, 28 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/CheckAttributeSelection.java

Now prints more useful debug info in correctSearchInitialization
------------------------------------------------------------------------
r4785 | mhall | 2008-11-28 15:38:05 +1300 (Fri, 28 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/LogPanel.java

New status and log panel for the KnowledgeFlow
------------------------------------------------------------------------
r4786 | mhall | 2008-11-28 15:40:20 +1300 (Fri, 28 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java

Updates for new log/status panel
------------------------------------------------------------------------
r4789 | mhall | 2008-11-29 08:18:51 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/LogPanel.java

Added a new constructor.
------------------------------------------------------------------------
r4791 | fracpete | 2008-11-29 12:00:30 +1300 (Sat, 29 Nov 2008) | 5 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/OPTICS.java
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/OPTICS_GUI/OPTICS_Visualizer.java

added more options to OPTICS:
-no-gui: for suppressing the display of the OPTICS visualizer
-db-output <file>: for saving the generated database to (can be viewed with the OPTICS Visualizer)

added main method to OPTICS_Visualizer to start it up as standalone application
------------------------------------------------------------------------
r4792 | mhall | 2008-11-29 20:28:02 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/LogPanel.java

Fixed some concurrency issues
------------------------------------------------------------------------
r4793 | mhall | 2008-11-29 20:28:18 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed some concurrency issues
------------------------------------------------------------------------
r4794 | mhall | 2008-11-29 20:29:55 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java

Fixed a minor status logging bug.
------------------------------------------------------------------------
r4795 | mhall | 2008-11-29 20:30:54 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/ConfigurationConstraints.java

Initial import.
------------------------------------------------------------------------
r4796 | mhall | 2008-11-29 20:31:23 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Added support for ConfigurationConstraints
------------------------------------------------------------------------
r4797 | mhall | 2008-11-29 20:33:44 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java

Fixed a minor status logging bug.
------------------------------------------------------------------------
r4802 | mhall | 2008-11-29 21:33:11 +1300 (Sat, 29 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/LogPanel.java

Added ability to change the background colour of a row in the status area if the message starts with either ERROR or WARNING
------------------------------------------------------------------------
r4804 | mhall | 2008-11-30 21:49:38 +1300 (Sun, 30 Nov 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/LogPanel.java

More improvements to logging and status messages.
------------------------------------------------------------------------
r4806 | mhall | 2008-12-01 10:28:41 +1300 (Mon, 01 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/BeanCommon.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssigner.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePicker.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluator.java
   D /trunk/weka/src/main/java/weka/gui/beans/ConfigurationConstraints.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/StripChart.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TextViewer.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainTestSplitMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetMaker.java

Updated for changes to BeanCommon.
------------------------------------------------------------------------
r4809 | mhall | 2008-12-01 14:22:15 +1300 (Mon, 01 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Removed short delay after queueing task. Not needed.
------------------------------------------------------------------------
r4810 | mhall | 2008-12-01 14:22:43 +1300 (Mon, 01 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java

Updated to reflect changes for multi-threaded components (e.g. Classifier)
------------------------------------------------------------------------
r4813 | mhall | 2008-12-01 16:15:04 +1300 (Mon, 01 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePicker.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainTestSplitMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetMaker.java

More status/log updates.
------------------------------------------------------------------------
r4814 | mhall | 2008-12-01 16:16:00 +1300 (Mon, 01 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

More status/log updates.
------------------------------------------------------------------------
r4817 | mhall | 2008-12-02 14:41:17 +1300 (Tue, 02 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java

Added simple logging to the console when executed from the command line
------------------------------------------------------------------------
r4819 | mhall | 2008-12-02 15:06:08 +1300 (Tue, 02 Dec 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java

Initial import.
------------------------------------------------------------------------
r4820 | mhall | 2008-12-02 15:07:13 +1300 (Tue, 02 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added LADTree.
------------------------------------------------------------------------
r4828 | fracpete | 2008-12-04 12:05:36 +1300 (Thu, 04 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/GridSearch.java

added the "kappa statistic" to the list of measures that one can evaluate on
------------------------------------------------------------------------
r4829 | mhall | 2008-12-05 11:18:21 +1300 (Fri, 05 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/BeanInstance.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Changed the fonts for component labels and connection labels from monospaced to default to improve readability under Windows
------------------------------------------------------------------------
r4831 | mhall | 2008-12-07 19:48:55 +1300 (Sun, 07 Dec 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

initial import of Adrian Pino's implementation of scatter search.
------------------------------------------------------------------------
r4834 | mhall | 2008-12-07 20:41:14 +1300 (Sun, 07 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added SubsetByExpression to the list of unsupervised filters (was already in thel list of all filters)
------------------------------------------------------------------------
r4835 | mhall | 2008-12-07 20:43:35 +1300 (Sun, 07 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added Wavelet to the list of unsupervised filters (was already in thel list of all filters)
------------------------------------------------------------------------
r4836 | mhall | 2008-12-09 11:00:06 +1300 (Tue, 09 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java

Saver now sets io thread to null in finally block so that isBusy() will return false when no saving is occuring.
------------------------------------------------------------------------
r4838 | mhall | 2008-12-09 21:28:31 +1300 (Tue, 09 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Added a general option to output the global information (synopsis) for the classifier.
------------------------------------------------------------------------
r4840 | mhall | 2008-12-09 21:41:21 +1300 (Tue, 09 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/ClusterEvaluation.java

Added a general option to output the global information (synopsis) for the clusterer.
------------------------------------------------------------------------
r4842 | mhall | 2008-12-10 15:46:31 +1300 (Wed, 10 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Now no longer prints classification summary and confusion matrix when -p option is selected (i.e. now more like what the book version outputs in this situation).
------------------------------------------------------------------------
r4848 | mhall | 2008-12-11 08:08:40 +1300 (Thu, 11 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

Adrain has given copyright to UoW.
------------------------------------------------------------------------
r4849 | mhall | 2008-12-11 08:12:31 +1300 (Thu, 11 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added ScatterSearchV1
------------------------------------------------------------------------
r4852 | mhall | 2008-12-13 22:51:40 +1300 (Sat, 13 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java

instanceToArray now uses sparse instance methods (faster for sparse instances now). Added replace missing values by default (can be turned off with an option).
------------------------------------------------------------------------
r4853 | fracpete | 2008-12-14 10:30:30 +1300 (Sun, 14 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/LibSVMLoader.java

generates SparseInstance objects now
------------------------------------------------------------------------
r4854 | fracpete | 2008-12-14 10:30:57 +1300 (Sun, 14 Dec 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/converters/SVMLightLoader.java
   A /trunk/weka/src/main/java/weka/core/converters/SVMLightSaver.java

loader/saver for the svm light data format
------------------------------------------------------------------------
r4856 | mhall | 2008-12-16 10:00:10 +1300 (Tue, 16 Dec 2008) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java

Initial import of Benedikt Waldvogel's wrapper for the liblinear functions
------------------------------------------------------------------------
r4863 | mhall | 2008-12-16 15:20:48 +1300 (Tue, 16 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java

Made the KnowledgeFlow's window a bit bigger.
------------------------------------------------------------------------
r4866 | mhall | 2008-12-16 16:01:22 +1300 (Tue, 16 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added LibLINEAR
------------------------------------------------------------------------
r4899 | fracpete | 2008-12-26 14:09:05 +1300 (Fri, 26 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/LFSMethods.java
   M /trunk/weka/src/main/java/weka/attributeSelection/LinearForwardSelection.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java
   M /trunk/weka/src/main/java/weka/attributeSelection/SubsetSizeForwardSelection.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/blr/LaplacePriorImpl.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/EditableBayesNet.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/MarginCalculator.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PrecomputedKernelMatrixKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/meta/RegressionByDiscretization.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/FT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft/FTtree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45PruneableClassifierTreeG.java
   M /trunk/weka/src/main/java/weka/clusterers/CLOPE.java
   M /trunk/weka/src/main/java/weka/clusterers/Clusterer.java
   M /trunk/weka/src/main/java/weka/core/Environment.java
   M /trunk/weka/src/main/java/weka/core/Instance.java
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/core/Jython.java
   M /trunk/weka/src/main/java/weka/core/SparseInstance.java
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees/MiddleOutConstructor.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/CountEmitter.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/Emitter.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/HiLowEmitter.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/Macros.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/Out.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/PackEmitter.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/RegExp.java
   M /trunk/weka/src/main/java/weka/core/parser/JFlex/Skeleton.java
   M /trunk/weka/src/main/java/weka/core/parser/java_cup/emit.java
   M /trunk/weka/src/main/java/weka/core/parser/java_cup/lalr_item.java
   M /trunk/weka/src/main/java/weka/core/parser/java_cup/runtime/lr_parser.java
   M /trunk/weka/src/main/java/weka/core/parser/java_cup/runtime/virtual_parse_stack.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/core/xml/XStream.java
   M /trunk/weka/src/main/java/weka/experiment/DensityBasedClustererSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

fixed Javadoc documentation errors that showed up during Javadoc generation ("ant docs")
------------------------------------------------------------------------
r4901 | fracpete | 2008-12-29 18:14:52 +1300 (Mon, 29 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/alignbottom.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/alignleft.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/alignright.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/aligntop.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/arrow-s.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/arrow.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/centerhorizontal.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/centervertical.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/copy.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/cut.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/help.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/layout.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/line-s.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/line.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/lines-s.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/lines.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/new.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/open.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/oval-s.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/oval.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/paste.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/print.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/rect-s.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/rect.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/redo.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/rrect.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/save.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/select-s.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/select.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/spacehorizontal.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/spacevertical.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/undo.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/zoomin.png
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons/zoomout.png

background is now transparent (no longer ugly grey background), using indexed PNGs with alpha channel
------------------------------------------------------------------------
r4902 | fracpete | 2008-12-29 18:15:27 +1300 (Mon, 29 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/GUI.java

uses now weka.gui.ConverterFileChooser instead of plain JFileChooser for loading/saving datasets
------------------------------------------------------------------------
r4910 | fracpete | 2008-12-30 15:14:04 +1300 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java

due to changes in ARFF format (output of instance weights), the Instance.toString() couldn't be used anymore to generate CSV output
added options to output CSV file with tab instead of comma as field separator and to specify a custom string for missing values (e.g., 999)
------------------------------------------------------------------------
r4911 | fracpete | 2008-12-30 15:15:15 +1300 (Tue, 30 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileLoader.java

makeOptionStr and runFileLoader are now aware of loaders implementing weka.core.OptionHandler
------------------------------------------------------------------------
r4912 | fracpete | 2008-12-30 15:17:02 +1300 (Tue, 30 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/SerializedInstancesSaver.java

fixed saving to streams
------------------------------------------------------------------------
r4914 | fracpete | 2008-12-30 15:18:16 +1300 (Tue, 30 Dec 2008) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java

added options to force attributes to be nominal or string
added option for specifying custom string representing a missing value (e.g., 999 instead of ?)
------------------------------------------------------------------------
r4915 | fracpete | 2008-12-30 15:19:08 +1300 (Tue, 30 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/ConverterFileChooser.java

one can now popup a GenericObjectEditor to further customize the loader/saver
------------------------------------------------------------------------
r4917 | fracpete | 2008-12-30 15:27:15 +1300 (Tue, 30 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVSaver.java

updated Javadoc
------------------------------------------------------------------------
r4920 | mhall | 2008-12-31 16:27:46 +1300 (Wed, 31 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

Removed non-utf characters.
------------------------------------------------------------------------
r4922 | mhall | 2008-12-31 16:33:33 +1300 (Wed, 31 Dec 2008) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

Removed non-utf characters.
------------------------------------------------------------------------
r4923 | fracpete | 2009-01-05 14:08:09 +1300 (Mon, 05 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java

fixed DataSource class when using a Loader (could end up trying to read from a closed stream)
------------------------------------------------------------------------
r4929 | mhall | 2009-01-05 21:17:25 +1300 (Mon, 05 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java

log object was not transient causing binary serialization to fail.
------------------------------------------------------------------------
r4932 | mhall | 2009-01-05 22:16:28 +1300 (Mon, 05 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java

Fixed a status message.
------------------------------------------------------------------------
r4935 | fracpete | 2009-01-07 16:00:18 +1300 (Wed, 07 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java

one can now compare the headers of two files via "weka.core.Instances headers <file1> <file2>"; enables one to perform a quick test on the commandline
------------------------------------------------------------------------
r4939 | fracpete | 2009-01-11 11:29:25 +1300 (Sun, 11 Jan 2009) | 5 lines
Changed paths:
   M /trunk/weka/.classpath.default
   M /trunk/weka/build.xml
   A /trunk/weka/lib/JFlex.jar
   A /trunk/weka/lib/README
   A /trunk/weka/lib/java-cup.jar
   M /trunk/weka/parsers.xml
   M /trunk/weka/src/main/java/weka/core/MathematicalExpression.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Parser.cup
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Parser.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Scanner.java
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/Scanner.jflex
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression/sym.java
   D /trunk/weka/src/main/java/weka/core/parser
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MathExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Parser.cup
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Parser.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Scanner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/Scanner.jflex
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression/sym.java

added java-cup.jar and JFlex.jar to "lib" directory
removed package weka.core.parser
adapted all imports and classpaths (removing prefix "weka.core.parser.")
"compile" target in build.xml copies the java_cup/runtime directory of the java-cup.jar into the build/classes directory, since these classes are the only ones necessary at runtime
added lib/README to list versions and links of used libraries
------------------------------------------------------------------------
r4941 | fracpete | 2009-01-11 11:52:16 +1300 (Sun, 11 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

removed non-ascii characters
------------------------------------------------------------------------
r4949 | mhall | 2009-01-12 10:23:02 +1300 (Mon, 12 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassValuePicker.java

Now clears any warning status messages once problems are resolved.
------------------------------------------------------------------------
r4951 | fracpete | 2009-01-16 08:57:55 +1300 (Fri, 16 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetHelper.java

didn't list any data for ResultSets of type ResultSet.TYPE_FORWARD_ONLY, e.g., Sqlite
------------------------------------------------------------------------
r4953 | mhall | 2009-01-16 20:15:44 +1300 (Fri, 16 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Fixed nasty bug that prevented a MetaBean that had been stored in the user tab from being binary serialized when the flow was saved.
------------------------------------------------------------------------
r4954 | mhall | 2009-01-16 20:17:22 +1300 (Fri, 16 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java

Small error/interrupted status message bug fix.
------------------------------------------------------------------------
r4960 | fracpete | 2009-01-17 13:26:25 +1300 (Sat, 17 Jan 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeVisualizer.java
   A /trunk/weka/src/main/java/weka/gui/treevisualizer/TreeVisualizer.props

added props file for color customization of the TreeVisualizer
in response to odd behavior on Mac OS X when saving tree to file:
https://list.scms.waikato.ac.nz/mailman/htdig/wekalist/2009-January/015661.html
------------------------------------------------------------------------
r4962 | mhall | 2009-01-20 13:54:39 +1300 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/EnvironmentHandler.java

Initial import
------------------------------------------------------------------------
r4963 | mhall | 2009-01-20 13:55:31 +1300 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Environment.java

Changed so that clients can use either a system-wide shared set of environment variables, or a local set
------------------------------------------------------------------------
r4964 | mhall | 2009-01-20 13:56:22 +1300 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileSaver.java

Altered to reflect changes to Environment.java
------------------------------------------------------------------------
r4965 | mhall | 2009-01-20 13:57:06 +1300 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Altered to reflect changes to Environment.java
------------------------------------------------------------------------
r4966 | mhall | 2009-01-20 13:57:53 +1300 (Tue, 20 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java

Altered to reflect changes to Environment.java
------------------------------------------------------------------------
r4973 | fracpete | 2009-01-21 13:45:35 +1300 (Wed, 21 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/LogWindow.java

print-method now checks whether the object is NULL; if that's the case, it just prints the string "null" otherwise it uses the object's toString() method
------------------------------------------------------------------------
r4974 | mhall | 2009-01-21 14:21:51 +1300 (Wed, 21 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomTree.java

Added Craig Bruce's implementation of the Drawable interface.
------------------------------------------------------------------------
r4976 | mhall | 2009-01-21 14:57:49 +1300 (Wed, 21 Jan 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/attributeSelection/TabuSearch.java

Initial import of Adrian Pino's implementation of Tabu search
------------------------------------------------------------------------
r4977 | mhall | 2009-01-21 14:58:29 +1300 (Wed, 21 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ScatterSearchV1.java

Fixed doc bug
------------------------------------------------------------------------
r4983 | mhall | 2009-01-23 15:02:35 +1300 (Fri, 23 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/AbstractFileSaver.java
   M /trunk/weka/src/main/java/weka/core/converters/ArffLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/SVMLightLoader.java
   M /trunk/weka/src/main/java/weka/core/converters/XRFFLoader.java

More changes to support local environment variables
------------------------------------------------------------------------
r4984 | mhall | 2009-01-23 15:06:18 +1300 (Fri, 23 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/Saver.java
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

More changes to support local environment variables
------------------------------------------------------------------------
r4992 | mhall | 2009-01-23 15:19:51 +1300 (Fri, 23 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomTree.java

Doc update
------------------------------------------------------------------------
r4994 | fracpete | 2009-01-25 17:04:43 +1300 (Sun, 25 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Attribute.java
   M /trunk/weka/src/main/java/weka/core/Instances.java

added method equalsHeaderMsg to weka.core.Instances and method equalsMsg to weka.core.Attribute for more details on why equality test fails
------------------------------------------------------------------------
r4995 | fracpete | 2009-01-26 11:42:14 +1300 (Mon, 26 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphEdge.java
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/GraphNode.java

made some members public (otherwise there's no way of accessing them outside the package)
------------------------------------------------------------------------
r4996 | fracpete | 2009-01-26 11:43:27 +1300 (Mon, 26 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   A /trunk/weka/src/main/java/weka/gui/visualize/plugins/GraphVisualizePlugin.java
   A /trunk/weka/src/main/java/weka/gui/visualize/plugins/TreeVisualizePlugin.java

added plugin support in the Explorer/ClassifierPanel for visualizing XML BIF graphs (generated by BayesNet, for instance) and trees in GraphViz's dotty format
------------------------------------------------------------------------
r4997 | fracpete | 2009-01-26 14:52:20 +1300 (Mon, 26 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ClassifierSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java
   M /trunk/weka/src/main/java/weka/attributeSelection/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IB1.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IBk.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/KStar.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/NNge.java
   M /trunk/weka/src/main/java/weka/clusterers/ClusterEvaluation.java
   M /trunk/weka/src/main/java/weka/core/Attribute.java
   M /trunk/weka/src/main/java/weka/core/CheckScheme.java
   M /trunk/weka/src/main/java/weka/core/Instance.java
   M /trunk/weka/src/main/java/weka/estimators/CheckEstimator.java
   M /trunk/weka/src/main/java/weka/filters/Filter.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /trunk/weka/src/main/java/weka/gui/streams/InstanceJoiner.java
   M /trunk/weka/src/test/java/weka/core/converters/AbstractFileConverterTest.java

added new Instances.equalHeadersMsg(...) method to errors message for more informative output (why the equality test failed)
------------------------------------------------------------------------
r4998 | fracpete | 2009-01-26 15:04:51 +1300 (Mon, 26 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

added "plugins" menu item for visualizing trees (only gets displayed when plugins available)
------------------------------------------------------------------------
r4999 | mhall | 2009-01-28 10:18:39 +1300 (Wed, 28 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/TrainingSetMaker.java

Stop notification was not getting reset.
------------------------------------------------------------------------
r5002 | mhall | 2009-01-29 09:29:28 +1300 (Thu, 29 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java

Fixed bug that prevented LWL from running incrementally from the command line.
------------------------------------------------------------------------
r5007 | fracpete | 2009-01-29 16:31:07 +1300 (Thu, 29 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

removed unnecessary imports
------------------------------------------------------------------------
r5008 | mhall | 2009-01-30 11:35:39 +1300 (Fri, 30 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/Expression.java

Fixed typo
------------------------------------------------------------------------
r5012 | fracpete | 2009-01-30 23:22:20 +1300 (Fri, 30 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   A /trunk/weka/src/main/java/weka/gui/visualize/plugins/ErrorVisualizePlugin.java

added another plugin support in the Explorer/Classify panel, this time for visualizing classification errors
------------------------------------------------------------------------
r5014 | fracpete | 2009-01-31 16:02:26 +1300 (Sat, 31 Jan 2009) | 3 lines
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/visualize/InstanceInfo.java
   A /trunk/weka/src/main/java/weka/gui/visualize/InstanceInfoFrame.java
   M /trunk/weka/src/main/java/weka/gui/visualize/Plot2D.java
   M /trunk/weka/src/main/java/weka/gui/visualize/Visualize.props

externalized the JFrame for displaying the instance info, moved it into its own class: weka.gui.visualized.InstanceInfoFrame
it is now possible to define one's own instance info frame: needs to be derived from javax.swing.JFrame and implement the interface weka.gui.visualized.InstanceInfo
this class then needs to be listed under property "weka.gui.visualize.Plot2D.instanceInfoFrame" in the weka/gui/visualize/Visualize.props properties file
------------------------------------------------------------------------
r5015 | fracpete | 2009-01-31 16:04:57 +1300 (Sat, 31 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/Visualize.props

fixed badly worded comment in props file
------------------------------------------------------------------------
r5017 | mhall | 2009-01-31 20:52:27 +1300 (Sat, 31 Jan 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMakerBeanInfo.java

Added a parameter to allow the original ordering of the instances to be preserved (i.e. disables randomization and stratification)
------------------------------------------------------------------------
r5018 | fracpete | 2009-02-02 10:57:45 +1300 (Mon, 02 Feb 2009) | 5 lines
Changed paths:
   D /trunk/weka/src/main/java/weka/classifiers/JythonClassifier.java
   A /trunk/weka/src/main/java/weka/classifiers/scripting
   A /trunk/weka/src/main/java/weka/classifiers/scripting/GroovyClassifier.java
   A /trunk/weka/src/main/java/weka/classifiers/scripting/JythonClassifier.java (from /trunk/weka/src/main/java/weka/classifiers/JythonClassifier.java:5017)
   D /trunk/weka/src/main/java/weka/core/Jython.java
   D /trunk/weka/src/main/java/weka/core/JythonObject.java
   D /trunk/weka/src/main/java/weka/core/JythonSerializableObject.java
   M /trunk/weka/src/main/java/weka/core/SerializedObject.java
   A /trunk/weka/src/main/java/weka/core/scripting
   A /trunk/weka/src/main/java/weka/core/scripting/Groovy.java
   A /trunk/weka/src/main/java/weka/core/scripting/Jython.java (from /trunk/weka/src/main/java/weka/core/Jython.java:5017)
   A /trunk/weka/src/main/java/weka/core/scripting/JythonObject.java (from /trunk/weka/src/main/java/weka/core/JythonObject.java:5017)
   A /trunk/weka/src/main/java/weka/core/scripting/JythonSerializableObject.java (from /trunk/weka/src/main/java/weka/core/JythonSerializableObject.java:5017)
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props

added support for Groovy http://groovy.codehaus.org/
moved scripting classes into sub-packages:
  weka.core.scripting
  weka.classifiers.scripting
added wrapper classifier for executing classifiers implemented as Groovy script: weka.classifiers.scripting.GrooyClassifier
------------------------------------------------------------------------
r5021 | mhall | 2009-02-02 15:49:00 +1300 (Mon, 02 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/Apply.java
   M /trunk/weka/src/main/java/weka/core/pmml/DefineFunction.java
   M /trunk/weka/src/main/java/weka/core/pmml/DerivedFieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/Discretize.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormContinuous.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/core/pmml/TransformationDictionary.java

Now allows derived fields to reference other derived fields (as long as the referring field is defined *after* the referred field). Discretize now allows for continuous optypes (i.e. in this case, the bin values will be parsed as numbers and the resulting derived attribute will be numeric rather than nominal).
------------------------------------------------------------------------
r5023 | mhall | 2009-02-02 15:53:36 +1300 (Mon, 02 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java

Doc update.
------------------------------------------------------------------------
r5025 | mhall | 2009-02-03 14:00:26 +1300 (Tue, 03 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/FieldRef.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java

Fixed bug that meant that field definitions were not being set correctly in the case of derived fields contained in local transformation that referred to other derived fields in local transformations
------------------------------------------------------------------------
r5027 | mhall | 2009-02-04 10:00:35 +1300 (Wed, 04 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/NormDiscrete.java

Now delays setting up field defs.
------------------------------------------------------------------------
r5028 | mhall | 2009-02-04 10:25:38 +1300 (Wed, 04 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/NeuralNetwork.java

Fixed a bug introduced by the improvements in derived fields where field definitions for inputs were not being set correctly.
------------------------------------------------------------------------
r5031 | mhall | 2009-02-04 14:01:42 +1300 (Wed, 04 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/Apply.java
   M /trunk/weka/src/main/java/weka/core/pmml/Discretize.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormContinuous.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormDiscrete.java
   M /trunk/weka/src/main/java/weka/core/pmml/TransformationDictionary.java

Simplified the setp-up process for expressions and derived fields
------------------------------------------------------------------------
r5032 | mhall | 2009-02-04 14:02:30 +1300 (Wed, 04 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/NeuralNetwork.java

Simplified the setp-up process for expressions and derived fields
------------------------------------------------------------------------
r5034 | mhall | 2009-02-06 21:13:15 +1300 (Fri, 06 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java

Now prints a status and log message if an exception arises during processing of an incoming event.
------------------------------------------------------------------------
r5036 | fracpete | 2009-02-07 10:35:12 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/Explorer.props
   M /trunk/weka/src/main/java/weka/gui/explorer/ExplorerDefaults.java
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

the initial directory for datasets in the Preprocesspanel of the Explorer can now be set in the weka/gui/explorer/Explorer.props file as well (property "InitialDirectory")
------------------------------------------------------------------------
r5040 | fracpete | 2009-02-07 11:03:25 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java

added example to tiptext of weights property (it is a blank-separated list of weights, e.g., "1 1 1" for a 3-class problem)
------------------------------------------------------------------------
r5041 | fracpete | 2009-02-07 11:16:06 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java

updated tiptext, listOptions and Javadoc in regards to -W parameter/weights property for weights for classes (wasn't very informative)
------------------------------------------------------------------------
r5043 | fracpete | 2009-02-07 12:37:53 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java

fixed typo in equalHeadersMsg method ("=!" instead of "!=")
------------------------------------------------------------------------
r5047 | fracpete | 2009-02-07 13:01:41 +1300 (Sat, 07 Feb 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/SimpleBatchFilter.java
   M /trunk/weka/src/main/java/weka/filters/SimpleStreamFilter.java

methods input and batchFinished now correctly throw Exceptions (like in Filter base class)
removed try-catch-blocks that did become unnecessary in the process
------------------------------------------------------------------------
r5050 | fracpete | 2009-02-07 13:05:35 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AddClassification.java

checks now whether a header is present in the serialized model file and if yes, compares it to the dataset that is to be filtered
------------------------------------------------------------------------
r5052 | fracpete | 2009-02-07 13:59:37 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddCluster.java

added "-serialized <file>" option to load a serialized clusterer model to be used instead of training a clustering algorithm on the first batch of data
------------------------------------------------------------------------
r5054 | fracpete | 2009-02-07 20:24:03 +1300 (Sat, 07 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/BrowserHelper.java

added method for creating a link based on a JLabel component
------------------------------------------------------------------------
r5055 | fracpete | 2009-02-10 13:45:11 +1300 (Tue, 10 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Tee.java

added missing print/println/write methods
------------------------------------------------------------------------
r5058 | mhall | 2009-02-13 15:51:13 +1300 (Fri, 13 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java

Now allows for predicting test sets (using a pre-built classifier) that have been loaded from CSV files where all class values are missing and hence the legal values for a nominal class aren't known.
------------------------------------------------------------------------
r5059 | mhall | 2009-02-13 16:41:28 +1300 (Fri, 13 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/PredictionAppender.java

Prediction appender was re-using an array for creating the instance values in instance events! Fixed.
------------------------------------------------------------------------
r5060 | mhall | 2009-02-13 16:42:21 +1300 (Fri, 13 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Now clears any status/error messages fromt the log when new data arrives.
------------------------------------------------------------------------
r5063 | mhall | 2009-02-15 14:57:13 +1300 (Sun, 15 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed bug that prevented a trained model from being used to generate predictions when a train and test set connection from separate sources are connected. Improved some status messages. Enforced the use of a ClassAssigner to set the class attribute (it used to default to the last attribute if none was set, but this was not consistent under all situations).
------------------------------------------------------------------------
r5066 | mhall | 2009-02-15 16:47:17 +1300 (Sun, 15 Feb 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/attributeSelection/SignificanceAttributeEval.java

Initial import.
------------------------------------------------------------------------
r5067 | mhall | 2009-02-15 16:48:32 +1300 (Sun, 15 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/SignificanceAttributeEval.java

Added revision string
------------------------------------------------------------------------
r5072 | mhall | 2009-02-16 10:29:03 +1300 (Mon, 16 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Now suppresses detailed class information when printing predictions.
------------------------------------------------------------------------
r5074 | mhall | 2009-02-18 13:49:46 +1300 (Wed, 18 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/Filter.java

output() was calling stringFreeStructure() on the output format instances resulting in a structure that was incompatible for subsequent batches.
------------------------------------------------------------------------
r5078 | mhall | 2009-02-18 16:37:02 +1300 (Wed, 18 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Now saves the relationNameAsFilename property for Savers
------------------------------------------------------------------------
r5079 | mhall | 2009-02-18 16:40:18 +1300 (Wed, 18 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

FlowRunner now allows startable beans to be executed sequentially as well as in parallel (default). The order that Startable beans (i.e. data sources) in a flow are launched can be controlled by setting the name of the bean using a number as a prefix (e.g. for an ArffLoader that loads the training data, it might be called  1:LoadMyTrainingData)
------------------------------------------------------------------------
r5086 | mhall | 2009-02-23 12:31:33 +1300 (Mon, 23 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/visualize/AttributePanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/ClassPanel.java
   M /trunk/weka/src/main/java/weka/gui/visualize/Plot2D.java
   M /trunk/weka/src/main/java/weka/gui/visualize/VisualizePanel.java

Now does not set any of the colours for the points, classes etc. equal to the background colour of the plot panel.
------------------------------------------------------------------------
r5088 | mhall | 2009-02-23 16:47:25 +1300 (Mon, 23 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/InstanceQuery.java

Added Andy Hessling's fix for problems with sqlite jdbc driver versions > v042.
------------------------------------------------------------------------
r5091 | mhall | 2009-02-24 09:49:03 +1300 (Tue, 24 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MathExpression.java

Fixed bug where, for SparseInstances, attributes to be ignored by the filter were getting zero'd
------------------------------------------------------------------------
r5093 | mhall | 2009-02-24 16:11:05 +1300 (Tue, 24 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

Added George Forman's unweighted micro and macro averaged F-measure methods.
------------------------------------------------------------------------
r5094 | mhall | 2009-02-24 16:27:40 +1300 (Tue, 24 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/ClassifierSplitEvaluator.java

Added support for George Forman's unweighted micro and macro averaged F-measure metrics.
------------------------------------------------------------------------
r5097 | mhall | 2009-02-25 14:21:03 +1300 (Wed, 25 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/TestSetMaker.java

A flag was not being reset after a stop caused by downstream components.
------------------------------------------------------------------------
r5098 | mhall | 2009-02-25 14:23:15 +1300 (Wed, 25 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Structure only TestSet events were causing an error message to be printed when a classifier had not yet been built. These are now ignored and an error is only generated if the classifier has not been trained when the actual test data arrives.
------------------------------------------------------------------------
r5102 | mhall | 2009-02-26 15:00:43 +1300 (Thu, 26 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/MiningFieldMetaInfo.java

Outlier treatment method was not getting initialized correctly, except in the default case.
------------------------------------------------------------------------
r5104 | mhall | 2009-02-26 15:07:36 +1300 (Thu, 26 Feb 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/TreeModel.java

Initial import
------------------------------------------------------------------------
r5105 | mhall | 2009-02-26 15:09:10 +1300 (Thu, 26 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java

Added support for TreeModel.
------------------------------------------------------------------------
r5116 | mhall | 2009-02-27 10:12:33 +1300 (Fri, 27 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/TreeModel.java

Now only reads ScoreDistribution elements if the mining function is set to classification. TreeModel schema does not preclude ScoreDistribution elements for regression trees (but it doen't make sense to have them).
------------------------------------------------------------------------
r5117 | mhall | 2009-02-27 10:31:52 +1300 (Fri, 27 Feb 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/core/pmml/Array.java

Initial import.
------------------------------------------------------------------------
r5121 | mhall | 2009-02-27 20:48:53 +1300 (Fri, 27 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added SignificanceAttributeEval
------------------------------------------------------------------------
r5122 | mhall | 2009-02-27 20:53:44 +1300 (Fri, 27 Feb 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48.java

Changed m_root from private to protected
------------------------------------------------------------------------
r5126 | fracpete | 2009-03-01 17:35:28 +1300 (Sun, 01 Mar 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/DatabaseResultListener.java
   A /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.msaccess
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.odbc

running Experiments in the Experimenter now works with MS Access as well: second call to getString(4) in method "determineColumnConstraints" of DatabaseResultListener class resulted in Exception (fixed this by using local variable)
added sample setup for MS Access: DatabaseUtils.props.msaccess
------------------------------------------------------------------------
r5129 | mhall | 2009-03-03 09:26:36 +1300 (Tue, 03 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/ItemSet.java

Can now handle SparseInstances. If an instance is sparse, zero's are treated in the same manner as missing values are in standard instances. This should make for a more intuitive data format for standard market basket data and allow bigger data sets to be loaded.
------------------------------------------------------------------------
r5130 | mhall | 2009-03-03 14:42:37 +1300 (Tue, 03 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/AprioriItemSet.java
   M /trunk/weka/src/main/java/weka/associations/ItemSet.java
   A /trunk/weka/src/main/java/weka/associations/vote.arff
   A /trunk/weka/src/main/java/weka/associations/votes.arff

Made the treatment of zeros as missing an option to maintain backwards compatibility.
------------------------------------------------------------------------
r5134 | mhall | 2009-03-04 16:27:41 +1300 (Wed, 04 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/BeanCommon.java
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/MetaBean.java

Removed a superfluous method from BeanCommon
------------------------------------------------------------------------
r5136 | mhall | 2009-03-04 16:36:43 +1300 (Wed, 04 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/TreeModel.java

Added serial version UIDs for main and nested classes.
------------------------------------------------------------------------
r5142 | fracpete | 2009-03-05 16:27:23 +1300 (Thu, 05 Mar 2009) | 3 lines
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/DocumentPrinting.java
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java
   M /trunk/weka/src/main/java/weka/gui/Main.java
   A /trunk/weka/src/main/java/weka/gui/ReaderToTextPane.java
   M /trunk/weka/src/main/java/weka/gui/SimpleCLI.java
   M /trunk/weka/src/main/java/weka/gui/SimpleCLIPanel.java
   A /trunk/weka/src/main/java/weka/gui/images/cut.gif
   A /trunk/weka/src/main/java/weka/gui/images/delete.gif
   A /trunk/weka/src/main/java/weka/gui/images/new.gif
   A /trunk/weka/src/main/java/weka/gui/images/paste.gif
   A /trunk/weka/src/main/java/weka/gui/images/print.gif
   A /trunk/weka/src/main/java/weka/gui/images/redo.gif
   A /trunk/weka/src/main/java/weka/gui/images/run.gif
   A /trunk/weka/src/main/java/weka/gui/images/stop.gif
   A /trunk/weka/src/main/java/weka/gui/scripting
   A /trunk/weka/src/main/java/weka/gui/scripting/FileScriptingPanel.java
   A /trunk/weka/src/main/java/weka/gui/scripting/Groovy.props
   A /trunk/weka/src/main/java/weka/gui/scripting/GroovyPanel.java
   A /trunk/weka/src/main/java/weka/gui/scripting/GroovyScript.java
   A /trunk/weka/src/main/java/weka/gui/scripting/Jython.props
   A /trunk/weka/src/main/java/weka/gui/scripting/JythonPanel.java
   A /trunk/weka/src/main/java/weka/gui/scripting/JythonScript.java
   A /trunk/weka/src/main/java/weka/gui/scripting/Script.java
   A /trunk/weka/src/main/java/weka/gui/scripting/ScriptUtils.java
   A /trunk/weka/src/main/java/weka/gui/scripting/ScriptingPanel.java
   A /trunk/weka/src/main/java/weka/gui/scripting/SyntaxDocument.java
   A /trunk/weka/src/main/java/weka/gui/scripting/event
   A /trunk/weka/src/main/java/weka/gui/scripting/event/ScriptExecutionEvent.java
   A /trunk/weka/src/main/java/weka/gui/scripting/event/ScriptExecutionListener.java
   A /trunk/weka/src/main/java/weka/gui/scripting/event/TitleUpdatedEvent.java
   A /trunk/weka/src/main/java/weka/gui/scripting/event/TitleUpdatedListener.java
   A /trunk/weka/src/main/java/weka/gui/scripting/images
   A /trunk/weka/src/main/java/weka/gui/scripting/images/groovy_medium.png
   A /trunk/weka/src/main/java/weka/gui/scripting/images/groovy_small.png
   A /trunk/weka/src/main/java/weka/gui/scripting/images/jython_medium.png
   A /trunk/weka/src/main/java/weka/gui/scripting/images/jython_small.png

added better support for Jython/Groovy scripting
added GUIs with sytnax highlighting for Jython/Groovy scripting
SimpleCLI is now based on new scripting framework
------------------------------------------------------------------------
r5144 | fracpete | 2009-03-05 17:05:04 +1300 (Thu, 05 Mar 2009) | 4 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIChooser.java
   M /trunk/weka/src/main/java/weka/gui/PropertyDialog.java
   M /trunk/weka/src/main/java/weka/gui/scripting/FileScriptingPanel.java

fixed minor problems when closing the scripting windows:
- GUIChooser: menu item didn't get enabled again (didn't receive a WINDOW_CLOSING event)
- Main: closed the whole application (skipped the JInternalFrame when determining the parent frame)
added method for determining parent-JInternalFrame to PropertyDialog class
------------------------------------------------------------------------
r5147 | eibe | 2009-03-11 11:53:31 +1300 (Wed, 11 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PolyKernel.java

Bernhard's fix for memory leak.
------------------------------------------------------------------------
r5148 | mhall | 2009-03-11 12:14:27 +1300 (Wed, 11 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java

Now implements RevisionHandler
------------------------------------------------------------------------
r5150 | mhall | 2009-03-11 14:39:16 +1300 (Wed, 11 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/CSVLoader.java

Fixed bug introduced in r4914, where handling of quoted strings got deleted.
------------------------------------------------------------------------
r5152 | mhall | 2009-03-12 11:21:16 +1300 (Thu, 12 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java

Added a 200 millisecond delay after a start point is launched (under sequential mode) before the beans are polled to see if any are busy. It is possible that the poll may complete a sweep of the beans before any manage to set their busy flags, and this could cause the next consecutive start point to get launched before the first has completed.
------------------------------------------------------------------------
r5154 | mhall | 2009-03-12 14:15:56 +1300 (Thu, 12 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/mi/supportVector/MIPolyKernel.java

Added a clean() method.
------------------------------------------------------------------------
r5155 | fracpete | 2009-03-17 13:19:43 +1300 (Tue, 17 Mar 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Add.java

setAttributeName(String) method no longer tries to "fix" the name by checking for single quotes/blanks, but just accepts the name as it is (if empty, "unnamed" is still used, though)
added Utils.unbackQuoteChars/backQuoteChars to setOptions/getOptions to correctly escape tabs etc.
------------------------------------------------------------------------
r5161 | fracpete | 2009-03-19 09:51:04 +1300 (Thu, 19 Mar 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseSaver.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.hsql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.msaccess
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.sqlite3

fixed DatabaseSaver to correctly store date attributes
added CREATE_DATE/DateFormat properties to DatabaseUtils.props* files, specifying the columnn type to create for date attributes and what format the date type expects (= SimpleDateFormat format string)
DatabaseUtils class now outputs "database driver (JDBC)" instead of "JDBC driver", since users don't seem to be familiar with the JDBC acronym
------------------------------------------------------------------------
r5162 | fracpete | 2009-03-19 10:33:54 +1300 (Thu, 19 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java

fixed source code generation: generated classifier didn't implement getRevision() method
------------------------------------------------------------------------
r5164 | mhall | 2009-03-19 15:41:17 +1300 (Thu, 19 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed bug that prevented Classifier from operating correctly when connected to a TrainTestSplitMaker.
------------------------------------------------------------------------
r5165 | mhall | 2009-03-19 16:05:50 +1300 (Thu, 19 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed one other slight problem when connected to a TrainTestSplitMaker.
------------------------------------------------------------------------
r5168 | mhall | 2009-03-19 16:52:28 +1300 (Thu, 19 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java

Removed TechnicalInformationHandler interface and methods. Ridor is not an implementation of the ripple down rules learner discribed in Gaines' Induct paper.
------------------------------------------------------------------------
r5171 | mhall | 2009-03-19 16:55:36 +1300 (Thu, 19 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java

Forgot to update the javadoc.
------------------------------------------------------------------------
r5175 | fracpete | 2009-03-23 11:06:49 +1300 (Mon, 23 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericArrayEditor.java

fixed the "Delete" button: worked from the start of the indices and not from the rear, resulting in indices that no longer existed and throwing exceptions
------------------------------------------------------------------------
r5179 | mhall | 2009-03-23 14:08:14 +1300 (Mon, 23 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java

Random shuffling of the training instances was broken.
------------------------------------------------------------------------
r5187 | mhall | 2009-03-24 11:20:55 +1300 (Tue, 24 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java

Environment variables were not being set on the flow(s) in some cases. Internal.knowledgeflow.directory was not set correctly.
------------------------------------------------------------------------
r5192 | fracpete | 2009-03-24 20:57:16 +1300 (Tue, 24 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java

fixed typo in GPL preamble
------------------------------------------------------------------------
r5193 | mhall | 2009-03-25 10:56:26 +1300 (Wed, 25 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/OrdinalClassClassifier.java

Eibe's addition of Schapire's ICML 2002 probability smoothing heuristic.
------------------------------------------------------------------------
r5195 | remco | 2009-03-26 14:17:49 +1300 (Thu, 26 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/LocalScoreSearchAlgorithm.java


------------------------------------------------------------------------
r5197 | fracpete | 2009-03-30 14:52:13 +1300 (Mon, 30 Mar 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Evaluation.java
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/AbstractOutput.java
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/Null.java
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java
   M /trunk/weka/src/main/java/weka/gui/GUIEditors.props
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

I unified the generation of predictions in Explorer and on command-line by introducing now class hierarchy derived from weka.classifiers.evaluation.output.prediction.AbstractOutput
this allows the implementation of custom output generators; initially: PlainText (original format), CSV and HTML
------------------------------------------------------------------------
r5198 | mhall | 2009-03-31 14:43:47 +1300 (Tue, 31 Mar 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/WekaTaskMonitor.java

Changed the image loading to retrieve image resources using the current class loader rather than the system class loader. This allows thing to work properly when running in an app server or as an applet.
------------------------------------------------------------------------
r5201 | fracpete | 2009-04-02 09:04:45 +1300 (Thu, 02 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/scripting/Groovy.props

added "assert" to syntax highlighting as keyword
------------------------------------------------------------------------
r5202 | fracpete | 2009-04-03 12:01:48 +1300 (Fri, 03 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java

added option -model <file>/property modelFile to output the internal libsvm to a file (using libsvm's internal format)
------------------------------------------------------------------------
r5204 | fracpete | 2009-04-03 12:17:41 +1300 (Fri, 03 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/FileEditor.java

fixed long-standing issue with FileEditor: one closes the editor now when clicking Select or Cancel
------------------------------------------------------------------------
r5208 | remco | 2009-04-05 08:22:13 +1200 (Sun, 05 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/BayesNetGenerator.java


------------------------------------------------------------------------
r5209 | mhall | 2009-04-06 11:39:03 +1200 (Mon, 06 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Save a bit of memory by creating certain data structures only if needed under the current flow setup.
------------------------------------------------------------------------
r5210 | mhall | 2009-04-06 11:40:49 +1200 (Mon, 06 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Greyed out items are now selectable (so that capabilities, more info etc. can be viewed) but Start/Apply buttons are disabled for schemes that don't meet the capabilities constraints.
------------------------------------------------------------------------
r5216 | mhall | 2009-04-07 16:32:35 +1200 (Tue, 07 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Blocking was not preventing test folds from being overwritten.
------------------------------------------------------------------------
r5219 | fracpete | 2009-04-08 09:32:11 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/logging/FileLogger.java

added some sanity checks (whether m_LogFile != null) to make subclassing easier
------------------------------------------------------------------------
r5223 | mhall | 2009-04-08 15:31:28 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/CrossValidationFoldMaker.java

Added a check to make sure the fold thread is not null before checking if it is still alive.
------------------------------------------------------------------------
r5224 | mhall | 2009-04-08 15:34:25 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Startable.java

Now specifies a method to return a string describing the start action. This allows the KnowledgeFlow to display this in the contextual popup menu for a component.
------------------------------------------------------------------------
r5225 | mhall | 2009-04-08 15:37:39 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java

Is no longer a userRequestAcceptor. Moved code for resolving environment variables in file names from enumerateRequests() to getStartMessage()
------------------------------------------------------------------------
r5226 | mhall | 2009-04-08 15:41:44 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Now checks to see if a component is Startable and adds it's startMessage to the contextual popup menu. Components that are Startable or implement userRequests get started or requests executed in a separate thread. This should remove the burden of launching computationally expensive tasks in separate threads from individual components (unless, like Classifier, they launch multiple tasks in parallel).
------------------------------------------------------------------------
r5227 | mhall | 2009-04-08 15:41:59 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed some more minor concurrency issues.
------------------------------------------------------------------------
r5228 | mhall | 2009-04-08 22:09:27 +1200 (Wed, 08 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java

Added an option to allow blocking on the last fold of the last run rather than rejecting any further data until processing is completed.
------------------------------------------------------------------------
r5234 | mhall | 2009-04-09 12:55:53 +1200 (Thu, 09 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Removed a debugging output.
------------------------------------------------------------------------
r5235 | mhall | 2009-04-09 13:00:00 +1200 (Thu, 09 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/xml/XMLBeans.java

Added blockOnLastFold property for beans.Classifier.
------------------------------------------------------------------------
r5238 | fracpete | 2009-04-13 19:26:46 +1200 (Mon, 13 Apr 2009) | 4 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/DatabaseSaver.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.java
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.hsql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.msaccess
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mssqlserver2005
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.mysql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.odbc
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.oracle
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.postgresql
   M /trunk/weka/src/main/java/weka/experiment/DatabaseUtils.props.sqlite3

the DatabaseSaver converter now avoids clashes of table/attribute names with database keywords
DatabaseUtils.props received the following two new properties:
  Keywords - contains all the keywords
  KeywordsMaskChar - the character to mask the keyword, i.e., gets appended
------------------------------------------------------------------------
r5241 | mhall | 2009-04-15 12:23:43 +1200 (Wed, 15 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java

Now checks the start message of Startable beans and does not launch any that cannot be started (i.e. where the first character of the start message is a $).
------------------------------------------------------------------------
r5244 | mhall | 2009-04-15 14:59:06 +1200 (Wed, 15 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java

Small fix for handling of Startable and UserRequestAcceptor.
------------------------------------------------------------------------
r5245 | fracpete | 2009-04-15 15:10:48 +1200 (Wed, 15 Apr 2009) | 2 lines
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SortLabels.java
   A /trunk/weka/src/test/java/weka/filters/unsupervised/attribute/SortLabelsTest.java

filter for sorting the labels of nominal attributes
current sort options: case-sensitive or case-insensitive
------------------------------------------------------------------------
r5246 | mhall | 2009-04-15 15:14:08 +1200 (Wed, 15 Apr 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/ConfigurationProducer.java

Added add and remove listener methods.
------------------------------------------------------------------------
r5247 | mhall | 2009-04-15 15:21:22 +1200 (Wed, 15 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Associator.java
   M /trunk/weka/src/main/java/weka/gui/beans/AssociatorBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/Clusterer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/Filter.java
   M /trunk/weka/src/main/java/weka/gui/beans/FilterBeanInfo.java

Implementation of ConfigurationProducer and related support.
------------------------------------------------------------------------
r5254 | mhall | 2009-04-16 09:26:28 +1200 (Thu, 16 Apr 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/ConfigurationListener.java

Initial import
------------------------------------------------------------------------
r5255 | mhall | 2009-04-16 09:27:29 +1200 (Thu, 16 Apr 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/ConfigurationEvent.java

Initial import
------------------------------------------------------------------------
r5276 | mhall | 2009-04-16 20:25:58 +1200 (Thu, 16 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Now only resets the executor pool on receipt of a run 1, fold 1 training set if it has been shutdown.
------------------------------------------------------------------------
r5279 | fracpete | 2009-04-17 10:03:30 +1200 (Fri, 17 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java
   M /trunk/weka/src/main/java/weka/gui/sql/SqlViewerDialog.java

added checkbox to database dialog to enable generation of sparse data
------------------------------------------------------------------------
r5281 | eibe | 2009-04-17 11:23:32 +1200 (Fri, 17 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/IntervalEstimator.java

Method renamed because it can predict multiple intervals
------------------------------------------------------------------------
r5282 | eibe | 2009-04-17 11:23:59 +1200 (Fri, 17 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/GaussianProcesses.java

Method renamed because it can predict multiple intervals
------------------------------------------------------------------------
r5283 | mhall | 2009-04-17 14:59:29 +1200 (Fri, 17 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java

Added an option to allow the relation name of the data used to train the incoming model to be prepended to the file name for the model.
------------------------------------------------------------------------
r5284 | mhall | 2009-04-17 14:59:53 +1200 (Fri, 17 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/DataVisualizer.java

Added a bit of a hack that allows the producer of incoming data events to specify that the DataVisualizer should connect the points with lines by prepending the relation name of the data with '__'.
------------------------------------------------------------------------
r5286 | fracpete | 2009-04-18 23:42:24 +1200 (Sat, 18 Apr 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/GeneticSearch.java

population size needs to be an even number
documentation now states this and set-method only allows even numbers as well
------------------------------------------------------------------------
r5289 | eibe | 2009-04-22 12:48:25 +1200 (Wed, 22 Apr 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomTree.java

RandomTree is now much faster. Code taken originally from REPTree to avoid re-sorting of data has been removed: it is not beneficial in this case because it sorts *all* attributes before the tree is built; in the new version, only the local data for the randomly selected attributes is sorted. This also means that RandomForest is much faster (it can be as much as an order of magnitude faster on UCI datasets). The memory footprint has also been reduced. RandomTree now also has an option to perform backfitting, so that unbiased probability estimates can be obtained by backfitting a hold-out set.
------------------------------------------------------------------------
r5293 | fracpete | 2009-04-23 15:40:07 +1200 (Thu, 23 Apr 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/scripting/Groovy.props
   M /trunk/weka/src/main/java/weka/gui/scripting/Jython.props
   M /trunk/weka/src/main/java/weka/gui/scripting/SyntaxDocument.java

SyntaxDocument now supports case-insensitive keywords as well ("CaseSensitive" property)
fixed typo in props files ("BlockEndd" instead of "BlockEnd")
------------------------------------------------------------------------
r5294 | mhall | 2009-05-04 14:18:21 +1200 (Mon, 04 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/SimpleCart.java

For numeric split points, a 'clean' split point was being computed by using Math.rint() - this results in a bug where an instance that should be in the left subset actually ends up in the right subset.
------------------------------------------------------------------------
r5296 | mhall | 2009-05-04 14:39:26 +1200 (Mon, 04 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/AttributeStats.java
   M /trunk/weka/src/main/java/weka/core/Instances.java

AttributeStats now computes nominal weights as well as counts
------------------------------------------------------------------------
r5297 | mhall | 2009-05-04 14:41:48 +1200 (Mon, 04 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/AttributeSummaryPanel.java
   M /trunk/weka/src/main/java/weka/gui/AttributeVisualizationPanel.java
   M /trunk/weka/src/main/java/weka/gui/InstancesSummaryPanel.java

Changes to support displaying of weights information in the PreprocessPanel's summary statistics and histogram
------------------------------------------------------------------------
r5298 | mhall | 2009-05-04 14:44:22 +1200 (Mon, 04 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/SetInstancesPanel.java

Now allows the client to specify whether zero instances should be shown as 0 or ?. For loaders that can be (and are) used incrementally the number of instances is unknown after the header is read.
------------------------------------------------------------------------
r5299 | mhall | 2009-05-04 14:45:40 +1200 (Mon, 04 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Changes to support the display of ? for the number of instances when using separate test set evaluation and an incremental loader.
------------------------------------------------------------------------
r5300 | mhall | 2009-05-06 14:49:50 +1200 (Wed, 06 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Small improvement to the checks that the isBusy() method does.
------------------------------------------------------------------------
r5305 | mhall | 2009-05-07 16:33:15 +1200 (Thu, 07 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/Dagging.java

Now randomizes the data and generates splits using Instances.testCV()
------------------------------------------------------------------------
r5309 | mhall | 2009-05-08 09:48:43 +1200 (Fri, 08 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/Classifier.java

Now makes sure that, when stop() is called and the executor pool is shut down, subsequent batches of data will force the creation of a new executor pool.
------------------------------------------------------------------------
r5312 | mhall | 2009-05-08 11:16:07 +1200 (Fri, 08 May 2009) | 1 line
Changed paths:
   D /trunk/weka/src/main/java/weka/classifiers/misc/MinMaxExtension.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/OLM.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/OSDL.java
   D /trunk/weka/src/main/java/weka/classifiers/misc/monotone

Removed - implementation incorrect or unreliable.
------------------------------------------------------------------------
r5313 | mhall | 2009-05-08 11:17:12 +1200 (Fri, 08 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Updated after the removal of monotone classifiers.
------------------------------------------------------------------------
r5318 | mhall | 2009-05-11 10:55:55 +1200 (Mon, 11 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java

Added an option for specifying the evaluation metric to use. Can now choose from mae, f-measure, auc, rmse (probabilities), mae (probabilities) as well as the original error rate and rmse.
------------------------------------------------------------------------
r5321 | mhall | 2009-05-11 14:23:51 +1200 (Mon, 11 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluator.java

Was outputting relative performance measures - fixed.
------------------------------------------------------------------------
r5324 | fracpete | 2009-05-11 23:16:45 +1200 (Mon, 11 May 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/sql/ResultSetHelper.java

getObject method of the ResultSet returns arrays of bytes in case of Strings, which gets displayed rather ugly in the table. checks now whether the type of the column is a string and explicitly uses the getString method in this case, otherwise the getObject method.
also no longer uses the ResultSet's metadata to determine the class, but it's own method (which was only used if the JDBC driver didn't support this function)
------------------------------------------------------------------------
r5327 | fracpete | 2009-05-13 10:31:18 +1200 (Wed, 13 May 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/experiment/ExplicitTestsetResultProducer.java

new result producer that allows the usage of explicit test sets (determines the test set based on the relation name of the training set)
------------------------------------------------------------------------
r5329 | mhall | 2009-05-13 16:45:15 +1200 (Wed, 13 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45Split.java

Added a method to return the split value for a split on a numeric attribute.
------------------------------------------------------------------------
r5330 | mhall | 2009-05-13 16:45:32 +1200 (Wed, 13 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/BinC45Split.java

Added a method to return the split value for a split on a numeric attribute.
------------------------------------------------------------------------
r5331 | mhall | 2009-05-15 10:12:36 +1200 (Fri, 15 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryVisualizer.java

Was not calling GenericObjectEditor.registerEditors(), so property dialogs were missing editors for complex types.
------------------------------------------------------------------------
r5333 | mhall | 2009-05-15 10:30:24 +1200 (Fri, 15 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local/TAN.java

Now doesn't cause an exception if presented with an empty set of attributes.
------------------------------------------------------------------------
r5336 | mhall | 2009-05-17 14:28:02 +1200 (Sun, 17 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.java

Made the makeCopy() method into a static utility method.
------------------------------------------------------------------------
r5340 | mhall | 2009-05-17 15:28:56 +1200 (Sun, 17 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/AssociatorCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/ClustererCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/FilterCustomizer.java

Made customizers for classifiers, clusterers, filters and associators consistent with OK and Cancel buttons that work as expected
------------------------------------------------------------------------
r5346 | fracpete | 2009-05-17 16:14:15 +1200 (Sun, 17 May 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrix.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixCSV.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixGnuPlot.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixHTML.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixLatex.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixPlainText.java
   M /trunk/weka/src/main/java/weka/experiment/ResultMatrixSignificance.java
   M /trunk/weka/src/main/java/weka/gui/GUIEditors.props
   M /trunk/weka/src/main/java/weka/gui/experiment/Experimenter.props
   M /trunk/weka/src/main/java/weka/gui/experiment/ExperimenterDefaults.java
   M /trunk/weka/src/main/java/weka/gui/experiment/OutputFormatDialog.java
   M /trunk/weka/src/main/java/weka/gui/experiment/ResultsPanel.java

ResultMatrix classes are now implementing weka.core.OptionHandler
OutputFormatDialog in Experimenter offers direct manipulation of ResultMatrix class instance now, for further tweaking of parameters (e.g., turn off hard cut-off in dataset names)
ExperimenterDefaults allow now declaring of options for ResultMatrix class (= OutputFormat), not just classname (other default options still override the ResultMatrix options, though)
------------------------------------------------------------------------
r5349 | fracpete | 2009-05-17 16:20:17 +1200 (Sun, 17 May 2009) | 1 line
Changed paths:
   M /trunk/weka
   M /trunk/weka/lib
   M /trunk/weka/src
   M /trunk/weka/src/main
   M /trunk/weka/src/main/java
   M /trunk/weka/src/main/java/weka
   M /trunk/weka/src/main/java/weka/associations
   M /trunk/weka/src/main/java/weka/associations/gsp
   M /trunk/weka/src/main/java/weka/associations/tertius
   M /trunk/weka/src/main/java/weka/attributeSelection
   M /trunk/weka/src/main/java/weka/classifiers
   M /trunk/weka/src/main/java/weka/classifiers/bayes
   M /trunk/weka/src/main/java/weka/classifiers/bayes/blr
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/estimate
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/icons
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/ci
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/fixed
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/global
   M /trunk/weka/src/main/java/weka/classifiers/bayes/net/search/local
   M /trunk/weka/src/main/java/weka/classifiers/evaluation
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction
   M /trunk/weka/src/main/java/weka/classifiers/functions
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural
   M /trunk/weka/src/main/java/weka/classifiers/functions/pace
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector
   M /trunk/weka/src/main/java/weka/classifiers/lazy
   M /trunk/weka/src/main/java/weka/classifiers/lazy/kstar
   M /trunk/weka/src/main/java/weka/classifiers/meta
   M /trunk/weka/src/main/java/weka/classifiers/meta/ensembleSelection
   M /trunk/weka/src/main/java/weka/classifiers/meta/nestedDichotomies
   M /trunk/weka/src/main/java/weka/classifiers/mi
   M /trunk/weka/src/main/java/weka/classifiers/mi/supportVector
   M /trunk/weka/src/main/java/weka/classifiers/misc
   M /trunk/weka/src/main/java/weka/classifiers/pmml
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer
   M /trunk/weka/src/main/java/weka/classifiers/rules
   M /trunk/weka/src/main/java/weka/classifiers/rules/part
   M /trunk/weka/src/main/java/weka/classifiers/scripting
   M /trunk/weka/src/main/java/weka/classifiers/trees
   M /trunk/weka/src/main/java/weka/classifiers/trees/adtree
   M /trunk/weka/src/main/java/weka/classifiers/trees/ft
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48
   M /trunk/weka/src/main/java/weka/classifiers/trees/lmt
   M /trunk/weka/src/main/java/weka/classifiers/trees/m5
   M /trunk/weka/src/main/java/weka/classifiers/xml
   M /trunk/weka/src/main/java/weka/clusterers
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/DataObjects
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/Databases
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/OPTICS_GUI
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/OPTICS_GUI/Graphics
   M /trunk/weka/src/main/java/weka/clusterers/forOPTICSAndDBScan/Utils
   M /trunk/weka/src/main/java/weka/core
   M /trunk/weka/src/main/java/weka/core/converters
   M /trunk/weka/src/main/java/weka/core/logging
   M /trunk/weka/src/main/java/weka/core/mathematicalexpression
   M /trunk/weka/src/main/java/weka/core/matrix
   M /trunk/weka/src/main/java/weka/core/neighboursearch
   M /trunk/weka/src/main/java/weka/core/neighboursearch/balltrees
   M /trunk/weka/src/main/java/weka/core/neighboursearch/covertrees
   M /trunk/weka/src/main/java/weka/core/neighboursearch/kdtrees
   M /trunk/weka/src/main/java/weka/core/pmml
   M /trunk/weka/src/main/java/weka/core/scripting
   M /trunk/weka/src/main/java/weka/core/stemmers
   M /trunk/weka/src/main/java/weka/core/tokenizers
   M /trunk/weka/src/main/java/weka/core/xml
   M /trunk/weka/src/main/java/weka/datagenerators
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/classification
   M /trunk/weka/src/main/java/weka/datagenerators/classifiers/regression
   M /trunk/weka/src/main/java/weka/datagenerators/clusterers
   M /trunk/weka/src/main/java/weka/estimators
   M /trunk/weka/src/main/java/weka/experiment
   M /trunk/weka/src/main/java/weka/experiment/xml
   M /trunk/weka/src/main/java/weka/filters
   M /trunk/weka/src/main/java/weka/filters/supervised
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute
   M /trunk/weka/src/main/java/weka/filters/supervised/instance
   M /trunk/weka/src/main/java/weka/filters/unsupervised
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/subsetbyexpression
   M /trunk/weka/src/main/java/weka/gui
   M /trunk/weka/src/main/java/weka/gui/arffviewer
   M /trunk/weka/src/main/java/weka/gui/beans
   M /trunk/weka/src/main/java/weka/gui/beans/icons
   M /trunk/weka/src/main/java/weka/gui/beans/xml
   M /trunk/weka/src/main/java/weka/gui/boundaryvisualizer
   M /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor
   M /trunk/weka/src/main/java/weka/gui/ensembleLibraryEditor/tree
   M /trunk/weka/src/main/java/weka/gui/experiment
   M /trunk/weka/src/main/java/weka/gui/explorer
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer
   M /trunk/weka/src/main/java/weka/gui/graphvisualizer/icons
   M /trunk/weka/src/main/java/weka/gui/images
   M /trunk/weka/src/main/java/weka/gui/scripting
   M /trunk/weka/src/main/java/weka/gui/scripting/event
   M /trunk/weka/src/main/java/weka/gui/scripting/images
   M /trunk/weka/src/main/java/weka/gui/sql
   M /trunk/weka/src/main/java/weka/gui/sql/event
   M /trunk/weka/src/main/java/weka/gui/streams
   M /trunk/weka/src/main/java/weka/gui/treevisualizer
   M /trunk/weka/src/main/java/weka/gui/visualize
   M /trunk/weka/src/main/java/weka/gui/visualize/plugins
   M /trunk/weka/src/test
   M /trunk/weka/src/test/java
   M /trunk/weka/src/test/java/weka
   M /trunk/weka/src/test/java/weka/associations
   M /trunk/weka/src/test/java/weka/attributeSelection
   M /trunk/weka/src/test/java/weka/classifiers
   M /trunk/weka/src/test/java/weka/classifiers/bayes
   M /trunk/weka/src/test/java/weka/classifiers/data
   M /trunk/weka/src/test/java/weka/classifiers/functions
   M /trunk/weka/src/test/java/weka/classifiers/functions/supportVector
   M /trunk/weka/src/test/java/weka/classifiers/lazy
   M /trunk/weka/src/test/java/weka/classifiers/meta
   M /trunk/weka/src/test/java/weka/classifiers/meta/nestedDichotomies
   M /trunk/weka/src/test/java/weka/classifiers/mi
   M /trunk/weka/src/test/java/weka/classifiers/mi/supportVector
   M /trunk/weka/src/test/java/weka/classifiers/misc
   M /trunk/weka/src/test/java/weka/classifiers/pmml
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer
   M /trunk/weka/src/test/java/weka/classifiers/pmml/data
   M /trunk/weka/src/test/java/weka/classifiers/rules
   M /trunk/weka/src/test/java/weka/classifiers/trees
   M /trunk/weka/src/test/java/weka/clusterers
   M /trunk/weka/src/test/java/weka/core
   M /trunk/weka/src/test/java/weka/core/converters
   M /trunk/weka/src/test/java/weka/core/neighboursearch
   M /trunk/weka/src/test/java/weka/core/tokenizers
   M /trunk/weka/src/test/java/weka/datagenerators
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/classification
   M /trunk/weka/src/test/java/weka/datagenerators/classifiers/regression
   M /trunk/weka/src/test/java/weka/datagenerators/clusterers
   M /trunk/weka/src/test/java/weka/filters
   M /trunk/weka/src/test/java/weka/filters/data
   M /trunk/weka/src/test/java/weka/filters/supervised
   M /trunk/weka/src/test/java/weka/filters/supervised/attribute
   M /trunk/weka/src/test/java/weka/filters/supervised/instance
   M /trunk/weka/src/test/java/weka/filters/unsupervised
   M /trunk/weka/src/test/java/weka/filters/unsupervised/attribute
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance
   M /trunk/weka/src/test/java/weka/test
   M /trunk/weka/src/test/resources
   M /trunk/weka/src/test/resources/wekarefs
   M /trunk/weka/src/test/resources/wekarefs/weka
   M /trunk/weka/src/test/resources/wekarefs/weka/associations
   M /trunk/weka/src/test/resources/wekarefs/weka/attributeSelection
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/bayes
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/functions
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/functions/supportVector
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/lazy
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/meta
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/meta/nestedDichotomies
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/mi
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/mi/supportVector
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/misc
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/pmml
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/pmml/consumer
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/rules
   M /trunk/weka/src/test/resources/wekarefs/weka/classifiers/trees
   M /trunk/weka/src/test/resources/wekarefs/weka/clusterers
   M /trunk/weka/src/test/resources/wekarefs/weka/core
   M /trunk/weka/src/test/resources/wekarefs/weka/core/neighboursearch
   M /trunk/weka/src/test/resources/wekarefs/weka/core/tokenizers
   M /trunk/weka/src/test/resources/wekarefs/weka/filters
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/supervised
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/supervised/attribute
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/supervised/instance
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/unsupervised
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/unsupervised/attribute
   M /trunk/weka/src/test/resources/wekarefs/weka/filters/unsupervised/instance

updated ignore patterns
------------------------------------------------------------------------
r5353 | fracpete | 2009-05-18 09:56:20 +1200 (Mon, 18 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/ExplicitTestsetResultProducer.java

fixed typo in listOptions() (and therefore Javadoc)
------------------------------------------------------------------------
r5358 | fracpete | 2009-05-19 11:26:09 +1200 (Tue, 19 May 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Instances.java
   M /trunk/weka/src/main/java/weka/gui/SimpleCLIPanel.java

removed System.exit(1) call from weka.core.Instances (bad if run from SimpleCLI)
SimpleCLI's ClassRunner class now trims the string array used as command-line arguments for the class's main method that is about to be executed after removing the "> file" bits (weka.core.Instances didn't like the additional two empty strings and just exited)
------------------------------------------------------------------------
r5359 | mhall | 2009-05-19 14:17:56 +1200 (Tue, 19 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/RandomVariates.java

Amri's fix for negative values in nextGamma().
------------------------------------------------------------------------
r5367 | fracpete | 2009-05-20 10:55:29 +1200 (Wed, 20 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/experiment/Experimenter.props
   M /trunk/weka/src/main/java/weka/gui/experiment/ExperimenterDefaults.java

added correct setup for ResultMatrixPlainText as default output format
------------------------------------------------------------------------
r5368 | mhall | 2009-05-20 14:00:12 +1200 (Wed, 20 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Environment.java

Fixed a bug that caused an infinite loop in substitute(). Now uses a TreeMap instead of a HashMap so that keys are kept in sorted order.
------------------------------------------------------------------------
r5371 | mhall | 2009-05-20 15:53:56 +1200 (Wed, 20 May 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

Initial import
------------------------------------------------------------------------
r5373 | mhall | 2009-05-21 11:38:27 +1200 (Thu, 21 May 2009) | 1 line
Changed paths:
   A /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/EMImputation.java

Initial import of Amri Napolitano's EM-based missing values imputation filter
------------------------------------------------------------------------
r5378 | fracpete | 2009-05-21 14:27:11 +1200 (Thu, 21 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/ClassDiscovery.java
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.java

skips duplicate class names now
------------------------------------------------------------------------
r5380 | mhall | 2009-05-21 16:12:41 +1200 (Thu, 21 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

Added some more constructors.
------------------------------------------------------------------------
r5382 | mhall | 2009-05-22 14:00:11 +1200 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Fixed a bug where the enabled/disabled state of the start button was not being updated when a new data set was set on this panel.
------------------------------------------------------------------------
r5383 | mhall | 2009-05-22 14:00:28 +1200 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/ClustererPanel.java

Fixed a bug where the enabled/disabled state of the start button was not being updated when a new data set was set on this panel.
------------------------------------------------------------------------
r5384 | mhall | 2009-05-22 14:00:49 +1200 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/AssociationsPanel.java

Fixed a bug where the enabled/disabled state of the start button was not being updated when a new data set was set on this panel.
------------------------------------------------------------------------
r5385 | mhall | 2009-05-22 14:01:04 +1200 (Fri, 22 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/AttributeSelectionPanel.java

Fixed a bug where the enabled/disabled state of the start button was not being updated when a new data set was set on this panel.
------------------------------------------------------------------------
r5394 | mhall | 2009-05-25 10:25:29 +1200 (Mon, 25 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

Added setEnabled and setEditable methods that directly affect the combo box.
------------------------------------------------------------------------
r5396 | mhall | 2009-05-25 16:54:56 +1200 (Mon, 25 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/KnowledgeFlowApp.java
   M /trunk/weka/src/main/java/weka/gui/beans/Loader.java
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java

Modifications to support GUI access to environment variables.
------------------------------------------------------------------------
r5398 | mhall | 2009-05-26 12:25:22 +1200 (Tue, 26 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added EMImputation
------------------------------------------------------------------------
r5399 | fracpete | 2009-05-26 12:52:42 +1200 (Tue, 26 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/Experiment.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SetupPanel.java
   M /trunk/weka/src/main/java/weka/gui/experiment/SimpleSetupPanel.java

moved reading/writing of experiments into weka.experiment.Experiment class (reducing duplicate code)
------------------------------------------------------------------------
r5402 | mhall | 2009-05-26 14:04:05 +1200 (Tue, 26 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/NeuralConnection.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/neural/NeuralNode.java

When using a validation set to stop training, the weights from the last iteration performed were getting used instead of the weights corresponding to the minimal error on the validation set.
------------------------------------------------------------------------
r5406 | mhall | 2009-05-26 15:10:28 +1200 (Tue, 26 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java

Minor changes to layout and resizing behaviour
------------------------------------------------------------------------
r5408 | mhall | 2009-05-26 15:16:23 +1200 (Tue, 26 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

Another small improvement to layout.
------------------------------------------------------------------------
r5413 | fracpete | 2009-05-27 09:33:03 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GUIEditors.props

added weka.experiment.Tester
------------------------------------------------------------------------
r5415 | fracpete | 2009-05-27 09:35:20 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/experiment/PairedTTester.java

inner classes are now serializable
------------------------------------------------------------------------
r5417 | fracpete | 2009-05-27 09:57:45 +1200 (Wed, 27 May 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/core/converters/ConverterUtils.java
   A /trunk/weka/src/main/java/weka/core/converters/MatlabLoader.java
   A /trunk/weka/src/main/java/weka/core/converters/MatlabSaver.java

added converters for Matlab's ASCII file format (containing a single matrix, either in single or double precision, tabs/blanks separated) - tested with Matlab 7.6
added Matlab/SVMLight converters to core converter lists in ConverterUtils class
------------------------------------------------------------------------
r5421 | mhall | 2009-05-27 11:02:32 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Added the matlab loader and saver
------------------------------------------------------------------------
r5423 | mhall | 2009-05-27 12:10:14 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java
   M /trunk/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

More layout tweaks
------------------------------------------------------------------------
r5425 | mhall | 2009-05-27 14:28:48 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.props

Now checks the current classloader against the system classloader and returns false from useDynamic() if they are not equal. This ensures that the static GOE.props are used in systems that use a custom classloader.
------------------------------------------------------------------------
r5426 | mhall | 2009-05-27 14:29:09 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.java

Now checks the current classloader against the system classloader and returns false from useDynamic() if they are not equal. This ensures that the static GOE.props are used in systems that use a custom classloader.
------------------------------------------------------------------------
r5430 | mhall | 2009-05-27 14:52:08 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericPropertiesCreator.java

Now outputs a message to the console if dynamic classloading can't be used due to non-system classloader.
------------------------------------------------------------------------
r5433 | mhall | 2009-05-27 15:32:47 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   D /trunk/weka/src/main/java/weka/classifiers/functions/SVMreg.java

Renamed to SMOreg; original SMOreg deleted.
------------------------------------------------------------------------
r5434 | mhall | 2009-05-27 15:34:15 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/SMOreg.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RegOptimizer.java

Replaced by Remco's SVMreg. RegOptimizer updated to reflect the name change.
------------------------------------------------------------------------
r5437 | mhall | 2009-05-27 15:38:50 +1200 (Wed, 27 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/GenericObjectEditor.props

Updated to reflect the renaming of SVMreg to SMOreg.
------------------------------------------------------------------------
r5443 | mhall | 2009-05-28 16:06:00 +1200 (Thu, 28 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Capabilities.java

Added enableAll and disableAll methods.
------------------------------------------------------------------------
r5444 | mhall | 2009-05-28 16:24:29 +1200 (Thu, 28 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/Apriori.java
   M /trunk/weka/src/main/java/weka/associations/FilteredAssociator.java
   M /trunk/weka/src/main/java/weka/associations/GeneralizedSequentialPatterns.java
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java
   M /trunk/weka/src/main/java/weka/associations/PredictiveApriori.java
   M /trunk/weka/src/main/java/weka/associations/Tertius.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5445 | mhall | 2009-05-28 16:25:07 +1200 (Thu, 28 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/AbstractAssociator.java

Now has maximally permissive capabilities as default.
------------------------------------------------------------------------
r5446 | mhall | 2009-05-28 16:38:39 +1200 (Thu, 28 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/ASEvaluation.java

Now has maximally permissive capabilities as default.
------------------------------------------------------------------------
r5447 | mhall | 2009-05-28 16:41:44 +1200 (Thu, 28 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/attributeSelection/CfsSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ChiSquaredAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ClassifierSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ConsistencySubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveASEvaluation.java
   M /trunk/weka/src/main/java/weka/attributeSelection/FilteredAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/FilteredSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/GainRatioAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/InfoGainAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/LatentSemanticAnalysis.java
   M /trunk/weka/src/main/java/weka/attributeSelection/OneRAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/attributeSelection/ReliefFAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/SignificanceAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/SymmetricalUncertAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/SymmetricalUncertAttributeSetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/WrapperSubsetEval.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5448 | mhall | 2009-05-29 15:12:00 +1200 (Fri, 29 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/bayes/AODE.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/AODEsr.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/BayesNet.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/ComplementNaiveBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/DMNBtext.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/HNB.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayes.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesMultinomial.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/NaiveBayesSimple.java
   M /trunk/weka/src/main/java/weka/classifiers/bayes/WAODE.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5449 | mhall | 2009-05-29 15:35:25 +1200 (Fri, 29 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/Kernel.java

Now has maximally permissive capabilities as default and default implementation of RevisionHandler.
------------------------------------------------------------------------
r5450 | mhall | 2009-05-29 15:35:55 +1200 (Fri, 29 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PolyKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/PrecomputedKernelMatrixKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/Puk.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/RBFKernel.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/supportVector/StringKernel.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5451 | mhall | 2009-05-29 15:37:31 +1200 (Fri, 29 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/IsotonicRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LeastMedSq.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibLINEAR.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LibSVM.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/LinearRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/Logistic.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/PLSClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/PaceRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SimpleLinearRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/SimpleLogistic.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/VotedPerceptron.java
   M /trunk/weka/src/main/java/weka/classifiers/functions/Winnow.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5452 | mhall | 2009-05-29 15:43:07 +1200 (Fri, 29 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IB1.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/IBk.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/KStar.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LBR.java
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5453 | fracpete | 2009-05-31 15:24:43 +1200 (Sun, 31 May 2009) | 2 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/AbstractOutput.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java

added option "-decimals" to output generators, to tweak the number of digits output after the decimals
fixed slight bugs in CSV output (no delimiter between "error" and "prediction", trailing delimiter if no additional attributes to output)
------------------------------------------------------------------------
r5463 | mhall | 2009-05-31 18:20:09 +1200 (Sun, 31 May 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/PLSClassifier.java

Didn't need to disable before enabling capabilities in this classifier.
------------------------------------------------------------------------
r5466 | fracpete | 2009-06-01 15:48:51 +1200 (Mon, 01 Jun 2009) | 3 lines
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/AbstractOutput.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/CSV.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/HTML.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/Null.java
   M /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/PlainText.java
   A /trunk/weka/src/main/java/weka/classifiers/evaluation/output/prediction/XML.java
   M /trunk/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

added prediction output generator for outputting simple XML 
prediction generators can now output to files as well (and in that case suppress the regular output)
the Explorer now suppresses the output of the prediction generators if they suppress the regular output and only output to a file
------------------------------------------------------------------------
r5474 | mhall | 2009-06-02 10:26:24 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassifierPerformanceEvaluator.java

Evaluation object was getting initialized with the test set rather than the training set (screwed up relative metrics). Fixed. Now checks for empty training set and initializes with test set and useNoPriors in this case.
------------------------------------------------------------------------
r5478 | mhall | 2009-06-02 10:49:15 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java

More layout tweaks
------------------------------------------------------------------------
r5480 | mhall | 2009-06-02 11:56:39 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/meta/EnsembleSelection.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5481 | mhall | 2009-06-02 12:09:24 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/mi/CitationKNN.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MDD.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MIDD.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MIEMDD.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MILR.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MINND.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MIOptimalBall.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/MISVM.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/TLD.java
   M /trunk/weka/src/main/java/weka/classifiers/mi/TLDSimple.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5482 | mhall | 2009-06-02 12:13:28 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/misc/FLR.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/HyperPipes.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/SerializedClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/misc/VFI.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5483 | mhall | 2009-06-02 13:48:43 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/rules/ConjunctiveRule.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/DecisionTable.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/JRip.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/NNge.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/OneR.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/Prism.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/Ridor.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/ZeroR.java
   M /trunk/weka/src/main/java/weka/classifiers/rules/part/MakeDecList.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5484 | mhall | 2009-06-02 13:50:25 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/scripting/GroovyClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/scripting/JythonClassifier.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5485 | mhall | 2009-06-02 14:52:11 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/ADTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/BFTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/DecisionStump.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/FT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/Id3.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/J48graft.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LADTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/LMT.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/REPTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/RandomTree.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/SimpleCart.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/UserClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/ClassifierTree.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5486 | mhall | 2009-06-02 14:55:22 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Classifier.java
   M /trunk/weka/src/main/java/weka/classifiers/MultipleClassifiersCombiner.java
   M /trunk/weka/src/main/java/weka/classifiers/SingleClassifierEnhancer.java

getCapabilities() now returns maximally permissive capabilities. Now has a default implementation of RevisionHandler.
------------------------------------------------------------------------
r5487 | mhall | 2009-06-02 15:08:27 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/AbstractClusterer.java

getCapabilities() now returns maximally permissive capabilities. Now has a default implementation of RevisionHandler.
------------------------------------------------------------------------
r5488 | mhall | 2009-06-02 15:09:22 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/clusterers/CLOPE.java
   M /trunk/weka/src/main/java/weka/clusterers/Cobweb.java
   M /trunk/weka/src/main/java/weka/clusterers/DBScan.java
   M /trunk/weka/src/main/java/weka/clusterers/FarthestFirst.java
   M /trunk/weka/src/main/java/weka/clusterers/FilteredClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/MakeDensityBasedClusterer.java
   M /trunk/weka/src/main/java/weka/clusterers/OPTICS.java
   M /trunk/weka/src/main/java/weka/clusterers/SimpleKMeans.java
   M /trunk/weka/src/main/java/weka/clusterers/XMeans.java
   M /trunk/weka/src/main/java/weka/clusterers/sIB.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5489 | mhall | 2009-06-02 15:22:36 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/estimators/Estimator.java

getCapabilities() now returns maximally permissive capabilities. Now has a default implementation of RevisionHandler.
------------------------------------------------------------------------
r5490 | mhall | 2009-06-02 15:23:10 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/estimators/DiscreteEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/KernelEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/MahalanobisEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/NormalEstimator.java
   M /trunk/weka/src/main/java/weka/estimators/PoissonEstimator.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5491 | mhall | 2009-06-02 15:48:42 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AddClassification.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/AttributeSelection.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/ClassOrder.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/Discretize.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/supervised/attribute/PLSFilter.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5492 | mhall | 2009-06-02 15:50:44 +1200 (Tue, 02 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/Resample.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/SMOTE.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/SpreadSubsample.java
   M /trunk/weka/src/main/java/weka/filters/supervised/instance/StratifiedRemoveFolds.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5498 | mhall | 2009-06-03 09:29:48 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Add.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddID.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddNoise.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/AddValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Center.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ChangeDateFormat.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ClassAssigner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Copy.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Discretize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/EMImputation.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/FirstOrder.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/InterquartileRange.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/KernelFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MakeIndicator.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MathExpression.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/MultiInstanceToPropositional.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToString.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Normalize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericCleaner.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToBinary.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToNominal.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/NumericTransform.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PartitionedMultiFilter.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PrincipalComponents.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/PropositionalToMultiInstance.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RELAGGS.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomProjection.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RandomSubset.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Remove.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/RemoveType.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Reorder.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/ReplaceMissingValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SortLabels.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Standardize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/SwapValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/TimeSeriesDelta.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/TimeSeriesTranslate.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/attribute/Wavelet.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5499 | mhall | 2009-06-03 09:36:15 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/NonSparseToSparse.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Normalize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Randomize.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveFolds.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveFrequentValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveMisclassified.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemovePercentage.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveRange.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/RemoveWithValues.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/Resample.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/ReservoirSample.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SparseToNonSparse.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/SubsetByExpression.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5500 | mhall | 2009-06-03 09:37:39 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/Filter.java

Now has maximally permissive capabilities as default and default implementation of RevisionHandler.
------------------------------------------------------------------------
r5501 | mhall | 2009-06-03 09:37:47 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/filters/AllFilter.java
   M /trunk/weka/src/main/java/weka/filters/MultiFilter.java

getCapabilities() now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5505 | mhall | 2009-06-03 10:06:26 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/AbstractAssociator.java

Doc update.
------------------------------------------------------------------------
r5506 | mhall | 2009-06-03 11:00:04 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Now checks capabilities when data changes.
------------------------------------------------------------------------
r5508 | mhall | 2009-06-03 11:31:53 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Fixed a class cast exception.
------------------------------------------------------------------------
r5512 | mhall | 2009-06-03 11:42:13 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/Classifier.java

Doc update.
------------------------------------------------------------------------
r5514 | mhall | 2009-06-03 12:20:56 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/gui/beans/ClassAssigner.java

Now passes on stop notifications to upstream beans.
------------------------------------------------------------------------
r5520 | mhall | 2009-06-03 14:49:34 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/functions/MultilayerPerceptron.java

Now implements Randomizable.
------------------------------------------------------------------------
r5524 | mhall | 2009-06-03 15:05:37 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/lazy/LWL.java

No need to disable any capabilities here as that gets done in SingeClassifierEnhancer.
------------------------------------------------------------------------
r5530 | mhall | 2009-06-03 15:38:43 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/ClassifierTree.java

Now enables all capabilities by default
------------------------------------------------------------------------
r5532 | mhall | 2009-06-03 15:41:31 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45PruneableClassifierTreeG.java

Now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5533 | mhall | 2009-06-03 15:44:05 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/PruneableClassifierTree.java

Now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5534 | mhall | 2009-06-03 15:45:13 +1200 (Wed, 03 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/NBTreeClassifierTree.java

Now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5544 | mhall | 2009-06-04 09:43:32 +1200 (Thu, 04 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/classifiers/trees/j48/C45PruneableClassifierTree.java

Now disables all capabilities before enabling individual ones.
------------------------------------------------------------------------
r5554 | mhall | 2009-06-04 12:56:28 +1200 (Thu, 04 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Copyright.props

Updated for version 3.7.0
------------------------------------------------------------------------
r5558 | mhall | 2009-06-04 14:12:49 +1200 (Thu, 04 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/version.txt

Updated to 3-7-0
------------------------------------------------------------------------
r5563 | mhall | 2009-06-04 15:13:54 +1200 (Thu, 04 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/associations/HotSpot.java
   D /trunk/weka/src/main/java/weka/associations/vote.arff
   D /trunk/weka/src/main/java/weka/associations/votes.arff
   M /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveASEvaluation.java
   M /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/CostSensitiveSubsetEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/FilteredAttributeEval.java
   M /trunk/weka/src/main/java/weka/attributeSelection/FilteredSubsetEval.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/GeneralRegression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/NeuralNetwork.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/PMMLClassifier.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/Regression.java
   M /trunk/weka/src/main/java/weka/classifiers/pmml/consumer/TreeModel.java
   M /trunk/weka/src/main/java/weka/core/ClassloaderUtil.java
   M /trunk/weka/src/main/java/weka/core/EnvironmentHandler.java
   M /trunk/weka/src/main/java/weka/core/pmml/Apply.java
   M /trunk/weka/src/main/java/weka/core/pmml/Array.java
   M /trunk/weka/src/main/java/weka/core/pmml/BuiltInArithmetic.java
   M /trunk/weka/src/main/java/weka/core/pmml/BuiltInMath.java
   M /trunk/weka/src/main/java/weka/core/pmml/Constant.java
   M /trunk/weka/src/main/java/weka/core/pmml/DefineFunction.java
   M /trunk/weka/src/main/java/weka/core/pmml/DerivedFieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/Discretize.java
   M /trunk/weka/src/main/java/weka/core/pmml/Expression.java
   M /trunk/weka/src/main/java/weka/core/pmml/FieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/Function.java
   M /trunk/weka/src/main/java/weka/core/pmml/MappingInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningFieldMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/MiningSchema.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormContinuous.java
   M /trunk/weka/src/main/java/weka/core/pmml/NormDiscrete.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLFactory.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLModel.java
   M /trunk/weka/src/main/java/weka/core/pmml/PMMLUtils.java
   M /trunk/weka/src/main/java/weka/core/pmml/TargetMetaInfo.java
   M /trunk/weka/src/main/java/weka/core/pmml/TransformationDictionary.java
   M /trunk/weka/src/main/java/weka/core/xml/XStream.java
   M /trunk/weka/src/main/java/weka/experiment/DensityBasedClustererSplitEvaluator.java
   M /trunk/weka/src/main/java/weka/filters/unsupervised/instance/ReservoirSample.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConfigurationEvent.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConfigurationListener.java
   M /trunk/weka/src/main/java/weka/gui/beans/ConfigurationProducer.java
   M /trunk/weka/src/main/java/weka/gui/beans/EnvironmentField.java
   M /trunk/weka/src/main/java/weka/gui/beans/FlowRunner.java
   M /trunk/weka/src/main/java/weka/gui/beans/IncrementalClassifierEvaluatorCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMaker.java
   M /trunk/weka/src/main/java/weka/gui/beans/InstanceStreamToBatchMakerBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/LogPanel.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverBeanInfo.java
   M /trunk/weka/src/main/java/weka/gui/beans/SerializedModelSaverCustomizer.java
   M /trunk/weka/src/main/java/weka/gui/beans/Startable.java
   M /trunk/weka/src/test/java/weka/associations/HotSpotTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/CostSensitiveAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/CostSensitiveSubsetEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/FilteredAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/FilteredSubsetEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/ScatterSearchV1Test.java
   M /trunk/weka/src/test/java/weka/attributeSelection/SignificanceAttributeEvalTest.java
   M /trunk/weka/src/test/java/weka/attributeSelection/TabuSearchTest.java
   M /trunk/weka/src/test/java/weka/classifiers/bayes/DMNBtextTest.java
   M /trunk/weka/src/test/java/weka/classifiers/functions/LibLINEARTest.java
   M /trunk/weka/src/test/java/weka/classifiers/meta/RotationForestTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/AllTests.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/GeneralRegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/NeuralNetworkTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/RegressionTest.java
   M /trunk/weka/src/test/java/weka/classifiers/pmml/consumer/TreeModelTest.java
   M /trunk/weka/src/test/java/weka/classifiers/rules/DTNBTest.java
   M /trunk/weka/src/test/java/weka/classifiers/trees/LADTreeTest.java
   M /trunk/weka/src/test/java/weka/clusterers/CLOPETest.java
   M /trunk/weka/src/test/java/weka/clusterers/sIBTest.java
   M /trunk/weka/src/test/java/weka/core/MathematicalExpressionTest.java
   M /trunk/weka/src/test/java/weka/filters/unsupervised/instance/ReservoirSampleTest.java

UoW automatically gets copyright for Pentaho contributions.
------------------------------------------------------------------------
r5564 | mhall | 2009-06-04 15:23:29 +1200 (Thu, 04 Jun 2009) | 1 line
Changed paths:
   M /trunk/weka/src/main/java/weka/core/Environment.java

UoW automatically gets copyright for Pentaho contributions
------------------------------------------------------------------------
